EL40xx - Analog Output Terminals (12 bit)
Home


Foreword

Foreword
Foreword
Additional information
•
Product overview Analog Output Terminals
•
Notes on the documentation
•
Safety instructions
•
Documentation issue status
•
Version identification of EtherCAT devices


Product overview Analog Output Terminals

Foreword [image] Product overview Analog Output Terminals
Product overview Analog Output Terminals
EL4001, EL4002, EL4004, EL4008
One, two, four and eight-channel analog output terminals, 0 - 10 V, 12 bit
EL4011, EL4012, EL4014, EL4018
One, two, four and eight-channel analog output terminals, 0..20 mA, 12 bit
EL4021, EL4022, EL4024, EL4028
One, two, four and eight-channel analog output terminals, 4..20 mA, 12 bit
EL4031, EL4032, EL4034, EL4038
One, two, four and eight-channel analog output terminals, -10..+10 V, 12 bit


Notes on the documentation

Foreword [image] Notes on the documentation
Notes on the documentation
Intended audience
This description is only intended for the use of trained specialists in control and automation engineering who are familiar with the applicable national standards.
It is essential that the documentation and the following notes and explanations are followed when installing and commissioning these components.
It is the duty of the technical personnel to use the documentation published at the respective time of each installation and commissioning.
The responsible staff must ensure that the application or use of the products described satisfy all the requirements for safety, including all the relevant laws, regulations, guidelines and standards.
Disclaimer
The documentation has been prepared with care. The products described are, however, constantly under development.
We reserve the right to revise and change the documentation at any time and without prior announcement.
No claims for the modification of products that have already been supplied may be made on the basis of the data, diagrams and descriptions in this documentation.
Trademarks
Beckhoff®, TwinCAT®, EtherCAT®, EtherCAT G®, EtherCAT G10®, EtherCAT P®, Safety over EtherCAT®, TwinSAFE®, XFC®, XTS® and XPlanar® are registered trademarks of and licensed by Beckhoff Automation GmbH. Other designations used in this publication may be trademarks whose use by third parties for their own purposes could violate the rights of the owners.
Patent Pending
The EtherCAT Technology is covered, including but not limited to the following patent applications and patents: EP1590927, EP1789857, EP1456722, EP2137893, DE102015105702 with corresponding applications or registrations in various other countries.
EtherCAT® is registered trademark and patented technology, licensed by Beckhoff Automation GmbH, Germany.
Copyright
© Beckhoff Automation GmbH & Co. KG, Germany.
The reproduction, distribution and utilization of this document as well as the communication of its contents to others without express authorization are prohibited.
Offenders will be held liable for the payment of damages. All rights reserved in the event of the grant of a patent, utility model or design.


Safety instructions

Foreword [image] Safety instructions
Safety instructions
Safety regulations
Please note the following safety instructions and explanations!
Product-specific safety instructions can be found on following pages or in the areas mounting, wiring, commissioning etc.
Exclusion of liability
All the components are supplied in particular hardware and software configurations appropriate for the application. Modifications to hardware or software configurations other than those described in the documentation are not permitted, and nullify the liability of Beckhoff Automation GmbH & Co. KG.
Personnel qualification
This description is only intended for trained specialists in control, automation and drive engineering who are familiar with the applicable national standards.
Description of instructions
In this documentation the following instructions are used.
These instructions must be read carefully and followed without fail!
SmallWarningYellow DANGER
Serious risk of injury!
Failure to follow this safety instruction directly endangers the life and health of persons.
SmallWarningYellow WARNING
Risk of injury!
Failure to follow this safety instruction endangers the life and health of persons.
SmallWarningYellow CAUTION
Personal injuries!
Failure to follow this safety instruction can lead to injuries to persons.
Note
Damage to environment/equipment or data loss
Failure to follow this instruction can lead to environmental damage, equipment damage or data loss.
Tip or pointer
This symbol indicates information that contributes to better understanding.


Documentation issue status

Foreword [image] Documentation issue status
Documentation issue status
Version
Comment
3.8
▪
New title page
▪
Update chapter "Version identification of EtherCAT devices"
▪
Update chapter "Commissioning"
▪
Update revision status
3.7
▪
Update chapter "EL4x1x, EL4x2x Current output"
▪
Update revision status
▪
Structural update
3.6
▪
Update chapter "Commissioning"
▪
Update revision status
▪
Structural update
3.5
▪
Update Technical data
▪
Update chapter "Connection technology" -> "connection"
▪
Update revision status
▪
Structural update
3.4
▪
Update Technical data
▪
Update revision status
▪
Structural update
3.3
▪
Update Technical data
3.2
▪
Update chapter "Notes on the documentation"
▪
Correction in technical data
▪
Chapter "TwinCAT Quick Start" inserted
▪
Update revision status
3.1
▪
Update title and introduction
▪
Structural update
3.0
▪
Migration
▪
Structural update
▪
Update revision status
2.5
▪
Update chapter "Technical data"
▪
Addenda chapter "Installation instructions for enhanced mechanical load capacity"
▪
Structural update
▪
Update revision status
2.4
▪
Update "Technical data"
▪
Structural update
2.3
▪
Update "Technical data"
2.2
▪
Update "Technical data"
▪
Update FastMode description
2.1
▪
Update "Technical data"
▪
Update firmware status
2.0
▪
New structure
▪
Process data flow added
1.2
▪
Technical data current output, object description optimized
1.1
▪
Technical data, new safety instructions added
1.0
▪
EL401x, EL402x added; first public issue
0.5
▪
EL403x added
0.4
▪
Minor corrections
0.3
▪
Technical data added
0.2
▪
Technical data added
0.1
▪
Preliminary documentation for EL400x


Version identification of EtherCAT devices

Foreword [image] Version identification of EtherCAT devices
Version identification of EtherCAT devices
Designation
A Beckhoff EtherCAT device has a 14-digit designation, made up of
▪
family key
▪
type
▪
version
▪
revision
Example | Family | Type | Version | Revision
EL3314-0000-0016 | EL terminal (12 mm, non-pluggable connection level) | 3314 (4-channel thermocouple terminal) | 0000 (basic type) | 0016
ES3602-0010-0017 | ES terminal (12 mm, pluggable connection level) | 3602 (2-channel voltage measurement) | 0010 (high-precision version) | 0017
CU2008-0000-0000 | CU device | 2008 (8-port fast ethernet switch) | 0000 (basic type) | 0000
Notes
▪
The elements mentioned above result in the technical designation. EL3314-0000-0016 is used in the example below.
▪
EL3314-0000 is the order identifier, in the case of “-0000” usually abbreviated to EL3314. “-0016” is the EtherCAT revision.
▪
The order identifier is made up of
- family key (EL, EP, CU, ES, KL, CX, etc.)
- type (3314)
- version (-0000)
▪
The revision -0016 shows the technical progress, such as the extension of features with regard to the EtherCAT communication, and is managed by Beckhoff.
In principle, a device with a higher revision can replace a device with a lower revision, unless specified otherwise, e.g. in the documentation.
Associated and synonymous with each revision there is usually a description (ESI, EtherCAT Slave Information) in the form of an XML file, which is available for download from the Beckhoff web site.
From 2014/01 the revision is shown on the outside of the IP20 terminals, see Fig. “EL5021 EL terminal, standard IP20 IO device with batch number and revision ID (since 2014/01)”.
▪
The type, version and revision are read as decimal numbers, even if they are technically saved in hexadecimal.
Identification number
Beckhoff EtherCAT devices from the different lines have different kinds of identification numbers:
Production lot/batch number/serial number/date code/D number
The serial number for Beckhoff IO devices is usually the 8-digit number printed on the device or on a sticker. The serial number indicates the configuration in delivery state and therefore refers to a whole production batch, without distinguishing the individual modules of a batch.
Structure of the serial number: KK YY FF HH
KK - week of production (CW, calendar week)
YY - year of production
FF - firmware version
HH - hardware version
Example with
Ser. no.: 12063A02: 12 - production week 12 06 - production year 2006 3A - firmware version 3A 02 - hardware version 02
Examples of markings
EL5021 EL terminal, standard IP20 IO device with serial/ batch number and revision ID (since 2014/01)
EK1100 EtherCAT coupler, standard IP20 IO device with serial/ batch number
EL3202-0020 with serial/ batch number 26131006 and unique ID-number 204418
Additional information
•
Beckhoff Identification Code (BIC)


Beckhoff Identification Code (BIC)

Foreword [image] Version identification of EtherCAT devices [image] Beckhoff Identification Code (BIC)
Beckhoff Identification Code (BIC)
The Beckhoff Identification Code (BIC) is increasingly being applied to Beckhoff products to uniquely identify the product. The BIC is represented as a Data Matrix Code (DMC, code scheme ECC200), the content is based on the ANSI standard MH10.8.2-2016.
Beckhoff Identification Code
BIC as data matrix code (DMC, code scheme ECC200)
The BIC will be introduced step by step across all product groups.
Depending on the product, it can be found in the following places:
▪
on the packaging unit
▪
directly on the product (if space suffices)
▪
on the packaging unit and the product
The BIC is machine-readable and contains information that can also be used by the customer for handling and product management.
Each piece of information can be uniquely identified using the so-called data identifier (ANSI MH10.8.2-2016). The data identifier is followed by a character string. Both together have a maximum length according to the table below. If the information is shorter, spaces are added to it. The data under positions 1 to 4 are always available.
The following information is contained:
Item no. | Type of information | Explanation | Data identifier | Number of digits incl. data identifier | Example
1 | Beckhoff order number | Beckhoff order number | 1P | 8 | 1P072222
2 | Beckhoff Traceability Number (BTN) | Unique serial number, see note below | S | 12 | SBTNk4p562d7
3 | Article description | Beckhoff article description, e.g. EL1008 | 1K | 32 | 1KEL1809
4 | Quantity | Quantity in packaging unit, e.g. 1, 10, etc. | Q | 6 | Q1
5 | Batch number | Optional: Year and week of production | 2P | 14 | 2P401503180016
6 | ID/serial number | Optional: Present-day serial number system, e.g. with safety products | 51S | 12 | 51S678294104
7 | Variant number | Optional: Product variant number on the basis of standard products | 30P | 32 | 30PF971, 2*K183
... |  |  |  |  |
Further types of information and data identifiers are used by Beckhoff and serve internal processes.
Structure of the BIC
Example of composite information from item 1 to 4 and 6. The data identifiers are marked in red for better display:
BTN
An important component of the BIC is the Beckhoff Traceability Number (BTN, item no. 2). The BTN is a unique serial number consisting of eight characters that will replace all other serial number systems at Beckhoff in the long term (e.g. batch designations on IO components, previous serial number range for safety products, etc.). The BTN will also be introduced step by step, so it may happen that the BTN is not yet coded in the BIC.
Note
This information has been carefully prepared. However, the procedure described is constantly being further developed. We reserve the right to revise and change procedures and documentation at any time and without prior notice. No claims for changes can be made from the information, illustrations and descriptions in this information.


Product overview

Product overview
Product overview
Additional information
•
EL4001, EL4002, EL4004, EL4008
•
EL4011, EL4012, EL4014, EL4018
•
EL4021, EL4022, EL4024, EL4028
•
EL4031, EL4032, EL4034, EL4038
•
Start


EL4001, EL4002, EL4004, EL4008

Product overview [image] EL4001, EL4002, EL4004, EL4008
EL4001, EL4002, EL4004, EL4008
Additional information
•
EL400x - Introduction
•
EL400x - Technical data


EL400x - Introduction

Product overview [image] EL4001, EL4002, EL4004, EL4008 [image] EL400x - Introduction
EL400x - Introduction
EL4001
EL4002
EL4004
EL4008
One, two, four and eight-channel analog output terminals, 0..10 V, 12 bit
The EL4001, EL4002, EL4004 and EL4008 analog output terminals generate signals in the range between 0 and 10 V. The voltage is supplied to the process level with a resolution of 12 bits, and is electrically isolated. The output channels of the EtherCAT Terminals have a common ground potential. The EL4001 is the single-channel variant which when combined with the EL95xx is particularly suitable for signals with electrically isolated ground potentials. The output stages are powered by the 24 V supply. The signal state of the EtherCAT Terminals is indicated by light emitting diodes.
The EL400x supports distributed clocks, i.e. the input data can be monitored synchronously with other data that are also linked to distributed clock terminals. The accuracy across the system is < 100 ns.
Quick-Links
▪
EtherCAT basics
▪
Commissioning
▪
EL40xx basics
▪
CoE object description and parameterization


EL400x - Technical data

Product overview [image] EL4001, EL4002, EL4004, EL4008 [image] EL400x - Technical data
EL400x - Technical data
Technical data | EL4001 | EL4002 | EL4004 | EL4008
Number of outputs | 1 | 2 | 4 | 8
Power supply | 24 V DC via the power contacts
Signal voltage | 0..10 V
Load | > 5 kΩ (short-circuit-proof)
Measuring error | < ± 0.1% (at 0 °C ... +55 °C, relative to the full scale value) < ± 0.2% (when the extended temperature range is used)
Resolution | 12 bit
Conversion time | ~ 100 µs | ~ 150 µs | ~ 250 µs | ~ 400 µs
Power supply for electronics | via the E-bus
Distributed Clocks | yes
Current consumption via E-bus | typ. 140 mA | typ. 140 mA | typ. 140 mA | typ. 100 mA
Electrical isolation | 500 V (E-bus/field voltage)
Bit width in process image | 1 x 16-bit AO output | 2 x 16-bit AO output | 4 x 16-bit AO output | 8 x 16-bit AO output
Configuration | via TwinCAT System Manager
Weight | approx. 60 g
Permissible ambient temperature range during operation | -25 °C ... +60 °C (extended temperature range)
Permissible ambient temperature range during storage | -40 °C ... +85 °C
Permissible relative humidity | 95%, no condensation
Dimensions (W x H x D) | approx. 15 mm x 100 mm x 70 mm (width aligned: 12 mm)
Mounting | on 35 mm mounting rail conforms to EN 60715
Vibration/shock resistance | conforms to EN 60068-2-6 / EN 60068-2-27, see also installation instructions for enhanced mechanical load capacity
EMC immunity/emission | conforms to EN 61000-6-2 / EN 61000-6-4
Protection class | IP20
Installation position | variable
Approval | CE ATEX cULus


EL4011, EL4012, EL4014, EL4018

Product overview [image] EL4011, EL4012, EL4014, EL4018
EL4011, EL4012, EL4014, EL4018
Additional information
•
EL401x - Introduction
•
EL401x - Technical data


EL401x - Introduction

Product overview [image] EL4011, EL4012, EL4014, EL4018 [image] EL401x - Introduction
EL401x - Introduction
EL4011
EL4012
EL4014
EL4018
One, two, four and eight-channel analog output terminals, 0..20 mA, 12 bit
The EL4011, EL4012, EL4014 and EL4018 Analog Output Terminals generate analog output signals in the range between 0 and 20 mA. The power is supplied to the process level with a resolution of 12 bits, and is electrically isolated. Ground potential for the output channels of an EtherCAT Terminal is common with the 0 VDC supply. The output stages are powered by the 24 V supply. The signal state of the EtherCAT Terminals is indicated by light emitting diodes.
The EL401x support distributed clocks, i.e. the input data can be monitored synchronously with other data that are also linked to distributed clock terminals. The accuracy across the system is < 100 ns.
Quick-Links
▪
EtherCAT basics
▪
Commissioning
▪
EL40xx basics
▪
CoE object description and parameterization


EL401x - Technical data

Product overview [image] EL4011, EL4012, EL4014, EL4018 [image] EL401x - Technical data
EL401x - Technical data
Technical data | EL4011 | EL4012 | EL4014 | EL4018
Number of outputs | 1 | 2 | 4 | 8
Number of simultaneously controllable inputs, depending on the ambient temperature | - | 2 (-25 °C ... +55 °C) 1 (> +55 °C ) | 4 (-25 °C ... +55 °C) 2 (> +55 °C ) | 8 (-25 °C ... +55 °C) 4 (> +55 °C )
Power supply | 24 VDC via the power contacts
Signal current | 0..20 mA
Load | < 500 Ω (short-circuit-proof) | < 500 Ω (short-circuit-proof) | < 350 Ω (short-circuit-proof) | < 150 Ω
Measuring error | < ± 0.1% (at 0 °C ... +55 °C, relative to the full scale value) < ± 0.5% (when the extended temperature range is used, relative to the full scale value) |  |  | < ±0.1%, (at 0°C…+55°C relative to full scale value) < ± 0.7% (when the extended temperature range is used, relative to the full scale value)
Resolution | 12 bit
Conversion time | ~ 100 µs | ~ 150 µs | ~ 250 µs | ~ 400 µs
Power supply for electronics | via the E-bus
Distributed Clocks | yes
Current consumption via E-bus | typ. 140 mA | typ. 140 mA | typ. 140 mA | typ. 100 mA
Electrical isolation | 500 V (E-bus/field voltage)
Bit width in process image | 1 x 16-bit AO output | 2 x 16-bit AO output | 4 x 16-bit AO output | 8 x 16-bit AO output
Configuration | via TwinCAT System Manager
Weight | approx. 60 g
Permissible ambient temperature range during operation | -25 °C ... +60 °C (extended temperature range)
Permissible ambient temperature range during storage | -40 °C ... +85 °C
Permissible relative humidity | 95%, no condensation
Dimensions (W x H x D) | approx. 15 mm x 100 mm x 70 mm (width aligned: 12 mm)
Mounting | on 35 mm mounting rail conforms to EN 60715
Vibration/shock resistance | conforms to EN 60068-2-6 / EN 60068-2-27, see also installation instructions for enhanced mechanical load capacity
EMC immunity/emission | conforms to EN 61000-6-2 / EN 61000-6-4
Protection class | IP20
Installation position | variable
Approval | CE ATEX cULus |  | CE ATEX cULus IECEx | CE ATEX cULus


EL4021, EL4022, EL4024, EL4028

Product overview [image] EL4021, EL4022, EL4024, EL4028
EL4021, EL4022, EL4024, EL4028
Additional information
•
EL402x - Introduction
•
EL402x - Technical data


EL402x - Introduction

Product overview [image] EL4021, EL4022, EL4024, EL4028 [image] EL402x - Introduction
EL402x - Introduction
EL4021
EL4022
EL4024
EL4028
One, two, four and eight-channel analog output terminals, 4..20 mA, 12 bit
The EL4021, EL4022, EL4014 and EL4028 Analog Output Terminals generate analog output signals in the range between 4 and 20 mA. The power is supplied to the process level with a resolution of 12 bits, and is electrically isolated. Ground potential for the output channels of an EtherCAT Terminal is common with the 0 VDC supply. The output stages are powered by the 24 V supply. The signal state of the EtherCAT Terminals is indicated by light emitting diodes.
The EL402x support distributed clocks, i.e. the input data can be monitored synchronously with other data that are also linked to distributed clock terminals. The accuracy across the system is < 100 ns.
Quick-Links
▪
EtherCAT basics
▪
Commissioning
▪
EL40xx basics
▪
CoE object description and parameterization


EL402x - Technical data

Product overview [image] EL4021, EL4022, EL4024, EL4028 [image] EL402x - Technical data
EL402x - Technical data
Technical data | EL4021 | EL4022 | EL4024 | EL4028
Number of outputs | 1 | 2 | 4 | 8
Number of simultaneously controllable inputs, depending on the ambient temperature | - | 2 (-25 °C ... +55 °C) 1 (> +55 °C ) | 4 (-25 °C ... +55 °C) 2 (> +55 °C ) | 8 (-25 °C ... +55 °C) 4 (> +55 °C )
Power supply | 24 VDC via the power contacts
Signal current | 4..20 mA
Load | < 500 Ω (short-circuit-proof) | < 500 Ω (short-circuit-proof) | < 350 Ω (short-circuit-proof) | < 150 Ω
Measuring error | < ±0.1% (relative to full scale value) | < ± 0.1% (at 0 °C ... +55 °C, relative to the full scale value) < ± 0.5% (when the extended temperature range is used, relative to full scale value) |  | < ± 0.1% (at 0°C ... +55°C, relative to the full scale value) < ± 0.7% (when the extended temperature range is used, relative to full scale value)
Resolution | 12 bit
Conversion time | ~ 100 µs | ~ 150 µs | ~ 250 µs | ~ 400 µs
Power supply for electronics | via the E-bus
Distributed Clocks | yes
Current consumption via E-bus | typ. 140 mA | typ. 140 mA | typ. 140 mA | typ. 100 mA
Electrical isolation | 500 V (E-bus/field voltage)
Bit width in process image | 1 x 16-bit AO output | 2 x 16-bit AO output | 4 x 16-bit AO output | 8 x 16-bit AO output
Configuration | via TwinCAT System Manager
Weight | approx. 60 g
Permissible ambient temperature range during operation | -25 °C ... +60 °C (extended temperature range)
Permissible ambient temperature range during storage | -40 °C ... +85 °C
Permissible relative humidity | 95%, no condensation
Dimensions (W x H x D) | approx. 15 mm x 100 mm x 70 mm (width aligned: 12 mm)
Mounting | on 35 mm mounting rail conforms to EN 60715
Vibration/shock resistance | conforms to EN 60068-2-6 / EN 60068-2-27, see also installation instructions for enhanced mechanical load capacity
EMC immunity/emission | conforms to EN 61000-6-2 / EN 61000-6-4
Protection class | IP20
Installation position | variable
Approval | CE ATEX cULus | CE ATEX cULus IECEx | CE ATEX cULus


EL4031, EL4032, EL4034, EL4038

Product overview [image] EL4031, EL4032, EL4034, EL4038
EL4031, EL4032, EL4034, EL4038
Additional information
•
EL403x - Introduction
•
EL403x - Technical data


EL403x - Introduction

Product overview [image] EL4031, EL4032, EL4034, EL4038 [image] EL403x - Introduction
EL403x - Introduction
EL4031
EL4032
EL4034
EL4038
One, two, four and eight-channel analog output terminals, -10..+10 V, 12 bit
The EL4031, EL4032, EL4034 and EL4038 Analog Output Terminals generate signals in the range from -10 V to +10 V. The voltage is supplied to the process level with a resolution of 12 bits, and is electrically isolated. The output channels of an EtherCAT Terminal have a common ground potential. The EL4031 is the single-channel variant which when combined with the EL95xx is particularly suitable for signals with electrically isolated ground potentials. The output stages are powered by the 24 V supply. The signal state of the EtherCAT Terminals is indicated by light emitting diodes.
The EL403x supports distributed clocks, i.e. the input data can be monitored synchronously with other data that are also linked to distributed clock terminals. The accuracy across the system is < 100 ns.
Quick-Links
• EtherCAT basics
• Commissioning
• EL40xx basics
• CoE object description and parameterization
Also see about this
•
Basic Function Principles


EL403x - Technical data

Product overview [image] EL4031, EL4032, EL4034, EL4038 [image] EL403x - Technical data
EL403x - Technical data
Technical data | EL4031 | EL4032 | EL4034 | EL4038
Number of outputs | 1 | 2 | 4 | 8
Power supply | 24 V DC via the power contacts
Signal voltage | -10 ..+10 V
Load | > 5 kΩ (short-circuit-proof)
Measuring error | < ± 0.1% (at 0 °C ... +55 °C, relative to the full scale value) < ± 0.2% (when the extended temperature range is used)
Resolution | 12 bit
Conversion time | ~ 100 µs | ~ 150 µs | ~ 250 µs | ~ 400 µs
Power supply for electronics | via the E-bus
Distributed Clocks | yes
Current consumption via E-bus | typ. 140 mA | typ. 140 mA | typ. 140 mA | typ. 100 mA
Electrical isolation | 500 V (E-bus/field voltage)
Bit width in process image | 1 x 16-bit AO output | 2 x 16-bit AO output | 4 x 16-bit AO output | 8 x 16-bit AO output
Configuration | via TwinCAT System Manager
Weight | approx. 60 g
Permissible ambient temperature range during operation | -25 °C ... +60 °C (extended temperature range)
Permissible ambient temperature range during storage | -40 °C ... +85 °C
Permissible relative humidity | 95%, no condensation
Dimensions (W x H x D) | approx. 15 mm x 100 mm x 70 mm (width aligned: 12 mm)
Mounting | on 35 mm mounting rail conforms to EN 60715
Vibration/shock resistance | conforms to EN 60068-2-6 / EN 60068-2-27, see also installation instructions for enhanced mechanical load capacity
EMC immunity/emission | conforms to EN 61000-6-2 / EN 61000-6-4
Protection class | IP20
Installation position | variable
Approval | CE ATEX cULus


Start

Product overview [image] Start
Start
For commissioning:
▪
mount the EL40xx as described in the chapter Mounting and wiring
▪
configure the EL40xx in TwinCAT as described in the chapter Commissioning.


Basics communication

Basics communication
Basics communication
Additional information
•
EtherCAT basics
•
EtherCAT cabling – wire-bound
•
General notes for setting the watchdog
•
EtherCAT State Machine
•
CoE Interface
•
Distributed Clock


EtherCAT basics

Basics communication [image] EtherCAT basics
EtherCAT basics
Please refer to the EtherCAT System Documentation for the EtherCAT fieldbus basics.


EtherCAT cabling – wire-bound

Basics communication [image] EtherCAT cabling – wire-bound
EtherCAT cabling – wire-bound
The cable length between two EtherCAT devices must not exceed 100 m. This results from the FastEthernet technology, which, above all for reasons of signal attenuation over the length of the cable, allows a maximum link length of 5 + 90 + 5 m if cables with appropriate properties are used. See also the Design recommendations for the infrastructure for EtherCAT/Ethernet.
Cables and connectors
For connecting EtherCAT devices only Ethernet connections (cables + plugs) that meet the requirements of at least category 5 (CAt5) according to EN 50173 or ISO/IEC 11801 should be used. EtherCAT uses 4 wires for signal transfer.
EtherCAT uses RJ45 plug connectors, for example. The pin assignment is compatible with the Ethernet standard (ISO/IEC 8802-3).
Pin | Color of conductor | Signal | Description
1 | yellow | TD + | Transmission Data +
2 | orange | TD - | Transmission Data -
3 | white | RD + | Receiver Data +
6 | blue | RD - | Receiver Data -
Due to automatic cable detection (auto-crossing) symmetric (1:1) or cross-over cables can be used between EtherCAT devices from Beckhoff.
Recommended cables
Suitable cables for the connection of EtherCAT devices can be found on the Beckhoff website!
E-Bus supply
A bus coupler can supply the EL terminals added to it with the E-bus system voltage of 5 V; a coupler is thereby loadable up to 2 A as a rule (see details in respective device documentation).
Information on how much current each EL terminal requires from the E-bus supply is available online and in the catalogue. If the added terminals require more current than the coupler can supply, then power feed terminals (e.g. EL9410) must be inserted at appropriate places in the terminal strand.
The pre-calculated theoretical maximum E-Bus current is displayed in the TwinCAT System Manager. A shortfall is marked by a negative total amount and an exclamation mark; a power feed terminal is to be placed before such a position.
System manager current calculation
Note
Malfunction possible!
The same ground potential must be used for the E-Bus supply of all EtherCAT terminals in a terminal block!


General notes for setting the watchdog

Basics communication [image] General notes for setting the watchdog
General notes for setting the watchdog
ELxxxx terminals are equipped with a safety feature (watchdog) that switches off the outputs after a specifiable time e.g. in the event of an interruption of the process data traffic, depending on the device and settings, e.g. in OFF state.
The EtherCAT slave controller (ESC) in the EL2xxx terminals features two watchdogs:
▪
SM watchdog (default: 100 ms)
▪
PDI watchdog (default: 100 ms)
SM watchdog (SyncManager Watchdog)
The SyncManager watchdog is reset after each successful EtherCAT process data communication with the terminal. If no EtherCAT process data communication takes place with the terminal for longer than the set and activated SM watchdog time, e.g. in the event of a line interruption, the watchdog is triggered and the outputs are set to FALSE. The OP state of the terminal is unaffected. The watchdog is only reset after a successful EtherCAT process data access. Set the monitoring time as described below.
The SyncManager watchdog monitors correct and timely process data communication with the ESC from the EtherCAT side.
PDI watchdog (Process Data Watchdog)
If no PDI communication with the EtherCAT slave controller (ESC) takes place for longer than the set and activated PDI watchdog time, this watchdog is triggered.
PDI (Process Data Interface) is the internal interface between the ESC and local processors in the EtherCAT slave, for example. The PDI watchdog can be used to monitor this communication for failure.
The PDI watchdog monitors correct and timely process data communication with the ESC from the application side.
The settings of the SM- and PDI-watchdog must be done for each slave separately in the TwinCAT System Manager.
EtherCAT tab -> Advanced Settings -> Behavior -> Watchdog
Notes:
▪
the multiplier is valid for both watchdogs.
▪
each watchdog has its own timer setting, the outcome of this in summary with the multiplier is a resulting time.
▪
Important: the multiplier/timer setting is only loaded into the slave at the start up, if the checkbox is activated.
If the checkbox is not activated, nothing is downloaded and the ESC settings remain unchanged.
Multiplier
Multiplier
Both watchdogs receive their pulses from the local terminal cycle, divided by the watchdog multiplier:
1/25 MHz * (watchdog multiplier + 2) = 100 µs (for default setting of 2498 for the multiplier)
The standard setting of 1000 for the SM watchdog corresponds to a release time of 100 ms.
The value in multiplier + 2 corresponds to the number of basic 40 ns ticks representing a watchdog tick.
The multiplier can be modified in order to adjust the watchdog time over a larger range.
Example “Set SM watchdog”
This checkbox enables manual setting of the watchdog times. If the outputs are set and the EtherCAT communication is interrupted, the SM watchdog is triggered after the set time and the outputs are erased. This setting can be used for adapting a terminal to a slower EtherCAT master or long cycle times. The default SM watchdog setting is 100 ms. The setting range is 0...65535. Together with a multiplier with a range of 1...65535 this covers a watchdog period between 0...~170 seconds.
Calculation
Multiplier = 2498 → watchdog base time = 1 / 25 MHz * (2498 + 2) = 0.0001 seconds = 100 µs
SM watchdog = 10000 → 10000 * 100 µs = 1 second watchdog monitoring time
SmallWarningYellow CAUTION
Undefined state possible!
The function for switching off of the SM watchdog via SM watchdog = 0 is only implemented in terminals from version -0016. In previous versions this operating mode should not be used.
SmallWarningYellow CAUTION
Damage of devices and undefined state possible!
If the SM watchdog is activated and a value of 0 is entered the watchdog switches off completely. This is the deactivation of the watchdog! Set outputs are NOT set in a safe state, if the communication is interrupted.


EtherCAT State Machine

Basics communication [image] EtherCAT State Machine
EtherCAT State Machine
The state of the EtherCAT slave is controlled via the EtherCAT State Machine (ESM). Depending upon the state, different functions are accessible or executable in the EtherCAT slave. Specific commands must be sent by the EtherCAT master to the device in each state, particularly during the bootup of the slave.
A distinction is made between the following states:
▪
Init
▪
Pre-Operational
▪
Safe-Operational and
▪
Operational
▪
Boot
The regular state of each EtherCAT slave after bootup is the OP state.
States of the EtherCAT State Machine
Init
After switch-on the EtherCAT slave in the Init state. No mailbox or process data communication is possible. The EtherCAT master initializes sync manager channels 0 and 1 for mailbox communication.
Pre-Operational (Pre-Op)
During the transition between Init and Pre-Op the EtherCAT slave checks whether the mailbox was initialized correctly.
In Pre-Op state mailbox communication is possible, but not process data communication. The EtherCAT master initializes the sync manager channels for process data (from sync manager channel 2), the FMMU channels and, if the slave supports configurable mapping, PDO mapping or the sync manager PDO assignment. In this state the settings for the process data transfer and perhaps terminal-specific parameters that may differ from the default settings are also transferred.
Safe-Operational (Safe-Op)
During transition between Pre-Op and Safe-Op the EtherCAT slave checks whether the sync manager channels for process data communication and, if required, the distributed clocks settings are correct. Before it acknowledges the change of state, the EtherCAT slave copies current input data into the associated DP-RAM areas of the EtherCAT slave controller (ECSC).
In Safe-Op state mailbox and process data communication is possible, although the slave keeps its outputs in a safe state, while the input data are updated cyclically.
Outputs in SAFEOP state
The default set watchdog monitoring sets the outputs of the module in a safe state - depending on the settings in SAFEOP and OP - e.g. in OFF state. If this is prevented by deactivation of the watchdog monitoring in the module, the outputs can be switched or set also in the SAFEOP state.
Operational (Op)
Before the EtherCAT master switches the EtherCAT slave from Safe-Op to Op it must transfer valid output data.
In the Op state the slave copies the output data of the masters to its outputs. Process data and mailbox communication is possible.
Boot
In the Boot state the slave firmware can be updated. The Boot state can only be reached via the Init state.
In the Boot state mailbox communication via the file access over EtherCAT (FoE) protocol is possible, but no other mailbox communication and no process data communication.


CoE Interface

Basics communication [image] CoE Interface
CoE Interface
General description
The CoE interface (CAN application protocol over EtherCAT)) is used for parameter management of EtherCAT devices. EtherCAT slaves or the EtherCAT master manage fixed (read only) or variable parameters which they require for operation, diagnostics or commissioning.
CoE parameters are arranged in a table hierarchy. In principle, the user has read access via the fieldbus. The EtherCAT master (TwinCAT System Manager) can access the local CoE lists of the slaves via EtherCAT in read or write mode, depending on the attributes.
Different CoE parameter types are possible, including string (text), integer numbers, Boolean values or larger byte fields. They can be used to describe a wide range of features. Examples of such parameters include manufacturer ID, serial number, process data settings, device name, calibration values for analog measurement or passwords.
The order is specified in two levels via hexadecimal numbering: (main)index, followed by subindex. The value ranges are
▪
Index: 0x0000 …0xFFFF (0...65535dez)
▪
SubIndex: 0x00…0xFF (0...255dez)
A parameter localized in this way is normally written as 0x8010:07, with preceding “0x” to identify the hexadecimal numerical range and a colon between index and subindex.
The relevant ranges for EtherCAT fieldbus users are:
▪
0x1000: This is where fixed identity information for the device is stored, including name, manufacturer, serial number etc., plus information about the current and available process data configurations.
▪
0x8000: This is where the operational and functional parameters for all channels are stored, such as filter settings or output frequency.
Other important ranges are:
▪
0x4000: here are the channel parameters for some EtherCAT devices. Historically, this was the first parameter area before the 0x8000 area was introduced. EtherCAT devices that were previously equipped with parameters in 0x4000 and changed to 0x8000 support both ranges for compatibility reasons and mirror internally.
▪
0x6000: Input PDOs (“input” from the perspective of the EtherCAT master)
▪
0x7000: Output PDOs (“output” from the perspective of the EtherCAT master)
Availability
Not every EtherCAT device must have a CoE list. Simple I/O modules without dedicated processor usually have no variable parameters and therefore no CoE list.
If a device has a CoE list, it is shown in the TwinCAT System Manager as a separate tab with a listing of the elements:
“CoE Online” tab
The figure above shows the CoE objects available in device “EL2502”, ranging from 0x1000 to 0x1600. The subindices for 0x1018 are expanded.
Data management and function “NoCoeStorage”
Some parameters, particularly the setting parameters of the slave, are configurable and writeable. This can be done in write or read mode
▪
via the System Manager (Fig. “CoE Online” tab) by clicking
This is useful for commissioning of the system/slaves. Click on the row of the index to be parameterized and enter a value in the “SetValue” dialog.
▪
from the control system/PLC via ADS, e.g. through blocks from the TcEtherCAT.lib library
This is recommended for modifications while the system is running or if no System Manager or operating staff are available.
Data management
If slave CoE parameters are modified online, Beckhoff devices store any changes in a fail-safe manner in the EEPROM, i.e. the modified CoE parameters are still available after a restart.
The situation may be different with other manufacturers.

An EEPROM is subject to a limited lifetime with respect to write operations. From typically 100,000 write operations onwards it can no longer be guaranteed that new (changed) data are reliably saved or are still readable. This is irrelevant for normal commissioning. However, if CoE parameters are continuously changed via ADS at machine runtime, it is quite possible for the lifetime limit to be reached. Support for the NoCoeStorage function, which suppresses the saving of changed CoE values, depends on the firmware version.
Please refer to the technical data in this documentation as to whether this applies to the respective device.
•
If the function is supported: the function is activated by entering the code word 0x12345678 once in CoE 0xF008 and remains active as long as the code word is not changed. After switching the device on it is then inactive. Changed CoE values are not saved in the EEPROM and can thus be changed any number of times.
•
Function is not supported: continuous changing of CoE values is not permissible in view of the lifetime limit.
Startup list
Changes in the local CoE list of the terminal are lost if the terminal is replaced. If a terminal is replaced with a new Beckhoff terminal, it will have the default settings. It is therefore advisable to link all changes in the CoE list of an EtherCAT slave with the Startup list of the slave, which is processed whenever the EtherCAT fieldbus is started. In this way a replacement EtherCAT slave can automatically be parameterized with the specifications of the user.
If EtherCAT slaves are used which are unable to store local CoE values permanently, the Startup list must be used.
Recommended approach for manual modification of CoE parameters
▪
Make the required change in the System Manager
The values are stored locally in the EtherCAT slave
▪
If the value is to be stored permanently, enter it in the Startup list.
The order of the Startup entries is usually irrelevant.
Startup list in the TwinCAT System Manager
The Startup list may already contain values that were configured by the System Manager based on the ESI specifications. Additional application-specific entries can be created.
Online/offline list
While working with the TwinCAT System Manager, a distinction has to be made whether the EtherCAT device is “available”, i.e. switched on and linked via EtherCAT and therefore online, or whether a configuration is created offline without connected slaves.
In both cases a CoE list as shown in Fig. “CoE online tab” is displayed. The connectivity is shown as offline/online.
▪
If the slave is offline
–
The offline list from the ESI file is displayed. In this case modifications are not meaningful or possible.
–
The configured status is shown under Identity.
–
No firmware or hardware version is displayed, since these are features of the physical device.
–
Offline is shown in red.
Offline list
▪
If the slave is online
–
The actual current slave list is read. This may take several seconds, depending on the size and cycle time.
–
The actual identity is displayed
–
The firmware and hardware version of the equipment according to the electronic information is displayed
–
Online is shown in green.
Online list
Channel-based order
The CoE list is available in EtherCAT devices that usually feature several functionally equivalent channels. For example, a 4-channel analog 0...10 V input terminal also has four logical channels and therefore four identical sets of parameter data for the channels. In order to avoid having to list each channel in the documentation, the placeholder “n” tends to be used for the individual channel numbers.
In the CoE system 16 indices, each with 255 subindices, are generally sufficient for representing all channel parameters. The channel-based order is therefore arranged in 16dec/10hex steps. The parameter range 0x8000 exemplifies this:
▪
Channel 0: parameter range 0x8000:00 ... 0x800F:255
▪
Channel 1: parameter range 0x8010:00 ... 0x801F:255
▪
Channel 2: parameter range 0x8020:00 ... 0x802F:255
▪
...
This is generally written as 0x80n0.
Detailed information on the CoE interface can be found in the EtherCAT system documentation on the Beckhoff website.


Distributed Clock

Basics communication [image] Distributed Clock
Distributed Clock
The distributed clock represents a local clock in the EtherCAT slave controller (ESC) with the following characteristics:
▪
Unit 1 ns
▪
Zero point 1.1.2000 00:00
▪
Size 64 bit (sufficient for the next 584 years; however, some EtherCAT slaves only offer 32-bit support, i.e. the variable overflows after approx. 4.2 seconds)
▪
The EtherCAT master automatically synchronizes the local clock with the master clock in the EtherCAT bus with a precision of < 100 ns.
For detailed information please refer to the EtherCAT system description.


Mounting and wiring

Mounting and wiring
Mounting and wiring
Additional information
•
Installation on mounting rails
•
Installation instructions for enhanced mechanical load capacity
•
Connection
•
Installation positions
•
Positioning of passive Terminals
•
ATEX - Special conditions (standard temperature range)
•
EL40xx - LEDs and connection


Installation on mounting rails

Mounting and wiring [image] Installation on mounting rails
Installation on mounting rails
SmallWarningYellow WARNING
Risk of electric shock and damage of device!
Bring the bus terminal system into a safe, powered down state before starting installation, disassembly or wiring of the bus terminals!
Assembly
Attaching on mounting rail
The bus coupler and bus terminals are attached to commercially available 35 mm mounting rails (DIN rails according to EN 60715) by applying slight pressure:
1.
First attach the fieldbus coupler to the mounting rail.
2.
The bus terminals are now attached on the right-hand side of the fieldbus coupler. Join the components with tongue and groove and push the terminals against the mounting rail, until the lock clicks onto the mounting rail.
If the terminals are clipped onto the mounting rail first and then pushed together without tongue and groove, the connection will not be operational! When correctly assembled, no significant gap should be visible between the housings.
Fixing of mounting rails
The locking mechanism of the terminals and couplers extends to the profile of the mounting rail. At the installation, the locking mechanism of the components must not come into conflict with the fixing bolts of the mounting rail. To mount the mounting rails with a height of 7.5 mm under the terminals and couplers, you should use flat mounting connections (e.g. countersunk screws or blind rivets).
Disassembly
Disassembling of terminal
Each terminal is secured by a lock on the mounting rail, which must be released for disassembly:
1.
Pull the terminal by its orange-colored lugs approximately 1 cm away from the mounting rail. In doing so for this terminal the mounting rail lock is released automatically and you can pull the terminal out of the bus terminal block easily without excessive force.
2.
Grasp the released terminal with thumb and index finger simultaneous at the upper and lower grooved housing surfaces and pull the terminal out of the bus terminal block.
Connections within a bus terminal block
The electric connections between the Bus Coupler and the Bus Terminals are automatically realized by joining the components:
▪
The six spring contacts of the K-Bus/E-Bus deal with the transfer of the data and the supply of the Bus Terminal electronics.
▪
The power contacts deal with the supply for the field electronics and thus represent a supply rail within the bus terminal block. The power contacts are supplied via terminals on the Bus Coupler (up to 24 V) or for higher voltages via power feed terminals.
Power Contacts
During the design of a bus terminal block, the pin assignment of the individual Bus Terminals must be taken account of, since some types (e.g. analog Bus Terminals or digital 4-channel Bus Terminals) do not or not fully loop through the power contacts. Power Feed Terminals (KL91xx, KL92xx or EL91xx, EL92xx) interrupt the power contacts and thus represent the start of a new supply rail.
PE power contact
The power contact labeled PE can be used as a protective earth. For safety reasons this contact mates first when plugging together, and can ground short-circuit currents of up to 125 A.
Power contact on left side
Note
Possible damage of the device
Note that, for reasons of electromagnetic compatibility, the PE contacts are capacitatively coupled to the mounting rail. This may lead to incorrect results during insulation testing or to damage on the terminal (e.g. disruptive discharge to the PE line during insulation testing of a consumer with a nominal voltage of 230 V). For insulation testing, disconnect the PE supply line at the Bus Coupler or the Power Feed Terminal! In order to decouple further feed points for testing, these Power Feed Terminals can be released and pulled at least 10 mm from the group of terminals.
SmallWarningYellow WARNING
Risk of electric shock!
The PE power contact must not be used for other potentials!


Installation instructions for enhanced mechanical load capacity

Mounting and wiring [image] Installation instructions for enhanced mechanical load capacity
Installation instructions for enhanced mechanical load capacity
SmallWarningYellow WARNING
Risk of injury through electric shock and damage to the device!
Bring the Bus Terminal system into a safe, de-energized state before starting mounting, disassembly or wiring of the Bus Terminals!
Additional checks
The terminals have undergone the following additional tests:
Verification | Explanation
Vibration | 10 frequency runs in 3 axes
 | 6 Hz < f < 60 Hz displacement 0.35 mm, constant amplitude
 | 60.1 Hz < f < 500 Hz acceleration 5 g, constant amplitude
Shocks | 1000 shocks in each direction, in 3 axes
 | 25 g, 6 ms
Additional installation instructions
For terminals with enhanced mechanical load capacity, the following additional installation instructions apply:
▪
The enhanced mechanical load capacity is valid for all permissible installation positions
▪
Use a mounting rail according to EN 60715 TH35-15
▪
Fix the terminal segment on both sides of the mounting rail with a mechanical fixture, e.g. an earth terminal or reinforced end clamp
▪
The maximum total extension of the terminal segment (without coupler) is:
64 terminals (12 mm mounting with) or 32 terminals (24 mm mounting with)
▪
Avoid deformation, twisting, crushing and bending of the mounting rail during edging and installation of the rail
▪
The mounting points of the mounting rail must be set at 5 cm intervals
▪
Use countersunk head screws to fasten the mounting rail
▪
The free length between the strain relief and the wire connection should be kept as short as possible. A distance of approx. 10 cm should be maintained to the cable duct.


Connection

Mounting and wiring [image] Connection
Connection
Additional information
•
Connection system
•
Wiring
•
Shielding


Connection system

Mounting and wiring [image] Connection [image] Connection system
Connection system
SmallWarningYellow WARNING
Risk of electric shock and damage of device!
Bring the bus terminal system into a safe, powered down state before starting installation, disassembly or wiring of the bus terminals!
Overview
The Bus Terminal system offers different connection options for optimum adaptation to the respective application:
▪
The terminals of ELxxxx and KLxxxx series with standard wiring include electronics and connection level in a single enclosure.
▪
The terminals of ESxxxx and KSxxxx series feature a pluggable connection level and enable steady wiring while replacing.
▪
The High Density Terminals (HD Terminals) include electronics and connection level in a single enclosure and have advanced packaging density.
Standard wiring (ELxxxx / KLxxxx)
Standard wiring
The terminals of ELxxxx and KLxxxx series have been tried and tested for years.
They feature integrated screwless spring force technology for fast and simple assembly.
Pluggable wiring (ESxxxx / KSxxxx)
Pluggable wiring
The terminals of ESxxxx and KSxxxx series feature a pluggable connection level.
The assembly and wiring procedure is the same as for the ELxxxx and KLxxxx series.
The pluggable connection level enables the complete wiring to be removed as a plug connector from the top of the housing for servicing.
The lower section can be removed from the terminal block by pulling the unlocking tab.
Insert the new component and plug in the connector with the wiring. This reduces the installation time and eliminates the risk of wires being mixed up.
The familiar dimensions of the terminal only had to be changed slightly. The new connector adds about 3 mm. The maximum height of the terminal remains unchanged.
A tab for strain relief of the cable simplifies assembly in many applications and prevents tangling of individual connection wires when the connector is removed.
Conductor cross sections between 0.08 mm2 and 2.5 mm2 can continue to be used with the proven spring force technology.
The overview and nomenclature of the product names for ESxxxx and KSxxxx series has been retained as known from ELxxxx and KLxxxx series.
High Density Terminals (HD Terminals)
High Density Terminals
The Bus Terminals from these series with 16 terminal points are distinguished by a particularly compact design, as the packaging density is twice as large as that of the standard 12 mm Bus Terminals. Massive conductors and conductors with a wire end sleeve can be inserted directly into the spring loaded terminal point without tools.
Wiring HD Terminals
The High Density Terminals of the ELx8xx and KLx8xx series doesn't support pluggable wiring.
Ultrasonically “bonded” (ultrasonically welded) conductors
Ultrasonically “bonded” conductors
It is also possible to connect the Standard and High Density Terminals with ultrasonically “bonded” (ultrasonically welded) conductors. In this case, please note the tables concerning the wire-size width below!


Wiring

Mounting and wiring [image] Connection [image] Wiring
Wiring
SmallWarningYellow WARNING
Risk of electric shock and damage of device!
Bring the bus terminal system into a safe, powered down state before starting installation, disassembly or wiring of the Bus Terminals!
Terminals for standard wiring ELxxxx/KLxxxx and for pluggable wiring ESxxxx/KSxxxx
Connecting a cable on a terminal point
Up to eight terminal points enable the connection of solid or finely stranded cables to the Bus Terminal. The terminal points are implemented in spring force technology. Connect the cables as follows:
1.
Open a terminal point by pushing a screwdriver straight against the stop into the square opening above the terminal point. Do not turn the screwdriver or move it alternately (don't toggle).
2.
The wire can now be inserted into the round terminal opening without any force.
3.
The terminal point closes automatically when the pressure is released, holding the wire securely and permanently.
See the following table for the suitable wire size width.
Terminal housing | ELxxxx, KLxxxx | ESxxxx, KSxxxx
Wire size width (single core wires) | 0.08 ... 2.5 mm2 | 0.08 ... 2.5 mm2
Wire size width (fine-wire conductors) | 0.08 ... 2.5 mm2 | 0,08 ... 2.5 mm2
Wire size width (conductors with a wire end sleeve) | 0.14 ... 1.5 mm2 | 0.14 ... 1.5 mm2
Wire stripping length | 8 ... 9 mm | 9 ... 10 mm
High Density Terminals (HD Terminals) with 16 terminal points
The conductors of the HD Terminals are connected without tools for single-wire conductors using the direct plug-in technique, i.e. after stripping the wire is simply plugged into the terminal point. The cables are released, as usual, using the contact release with the aid of a screwdriver. See the following table for the suitable wire size width.
Terminal housing | High Density Housing
Wire size width (single core wires) | 0.08 ... 1.5 mm2
Wire size width (fine-wire conductors) | 0.25 ... 1.5 mm2
Wire size width (conductors with a wire end sleeve) | 0.14 ... 0.75 mm2
Wire size width (ultrasonically “bonded" conductors) | only 1.5 mm2
Wire stripping length | 8 ... 9 mm


Shielding

Mounting and wiring [image] Connection [image] Shielding
Shielding
Shielding
Encoder, analog sensors and actors should always be connected with shielded, twisted paired wires.


Installation positions

Mounting and wiring [image] Installation positions
Installation positions
Note
Constraints regarding installation position and operating temperature range
Please refer to the technical data for a terminal to ascertain whether any restrictions regarding the installation position and/or the operating temperature range have been specified. When installing high power dissipation terminals ensure that an adequate spacing is maintained between other components above and below the terminal in order to guarantee adequate ventilation!
Optimum installation position (standard)
The optimum installation position requires the mounting rail to be installed horizontally and the connection surfaces of the EL/KL terminals to face forward (see Fig. Recommended distances for standard installation position). The terminals are ventilated from below, which enables optimum cooling of the electronics through convection. “From below” is relative to the acceleration of gravity.
Recommended distances for standard installation position
Compliance with the distances shown in Fig. Recommended distances for standard installation position is recommended.
Other installation positions
All other installation positions are characterized by different spatial arrangement of the mounting rail - see Fig “Other installation positions”.
The minimum distances to ambient specified above also apply to these installation positions.
Other installation positions


Positioning of passive Terminals

Mounting and wiring [image] Positioning of passive Terminals
Positioning of passive Terminals
Hint for positioning of passive terminals in the bus terminal block
EtherCAT Terminals (ELxxxx / ESxxxx), which do not take an active part in data transfer within the bus terminal block are so called passive terminals. The passive terminals have no current consumption out of the E-Bus.
To ensure an optimal data transfer, you must not directly string together more than two passive terminals!
Examples for positioning of passive terminals (highlighted)
Correct positioning
Incorrect positioning


ATEX - Special conditions (standard temperature range)

Mounting and wiring [image] ATEX - Special conditions (standard temperature range)
ATEX - Special conditions (standard temperature range)
SmallWarningYellow WARNING
Observe the special conditions for the intended use of Beckhoff fieldbus components with standard temperature range in potentially explosive areas (directive 2014/34/EU)!
•
The certified components are to be installed in a suitable housing that guarantees a protection class of at least IP54 in accordance with EN 60079-15! The environmental conditions during use are thereby to be taken into account!
•
For dust (only the fieldbus components of certificate no. KEMA 10ATEX0075 X Issue 9): The equipment shall be installed in a suitable enclosure providing a degree of protection of IP54 according to EN 60079-0 for group IIIA or IIIB and IP6X for group IIIC, taking into account the environmental conditions under which the equipment is used.
•
If the temperatures during rated operation are higher than 70°C at the feed-in points of cables, lines or pipes, or higher than 80°C at the wire branching points, then cables must be selected whose temperature data correspond to the actual measured temperature values!
•
Observe the permissible ambient temperature range of 0 to 55°C for the use of Beckhoff fieldbus components standard temperature range in potentially explosive areas!
•
Measures must be taken to protect against the rated operating voltage being exceeded by more than 40% due to short-term interference voltages!
•
The individual terminals may only be unplugged or removed from the Bus Terminal system if the supply voltage has been switched off or if a non-explosive atmosphere is ensured!
•
The connections of the certified components may only be connected or disconnected if the supply voltage has been switched off or if a non-explosive atmosphere is ensured!
•
The fuses of the KL92xx/EL92xx power feed terminals may only be exchanged if the supply voltage has been switched off or if a non-explosive atmosphere is ensured!
•
Address selectors and ID switches may only be adjusted if the supply voltage has been switched off or if a non-explosive atmosphere is ensured!
Standards
The fundamental health and safety requirements are fulfilled by compliance with the following standards:
▪
EN 60079-0:2012+A11:2013
▪
EN 60079-15:2010
▪
EN 60079-31:2013 (only for certificate no. KEMA 10ATEX0075 X Issue 9)
Marking
The Beckhoff fieldbus components with standard temperature range certified according to the ATEX directive for potentially explosive areas bear one of the following markings:

II 3G KEMA 10ATEX0075 X Ex nA IIC T4 Gc Ta: 0 … +55°C
II 3D KEMA 10ATEX0075 X Ex tc IIC T135°C Dc Ta: 0 ... +55°C
(only for fieldbus components of certificate no. KEMA 10ATEX0075 X Issue 9)
or

II 3G KEMA 10ATEX0075 X Ex nC IIC T4 Gc Ta: 0 … +55°C
II 3D KEMA 10ATEX0075 X Ex tc IIC T135°C Dc Ta: 0 ... +55°C
(only for fieldbus components of certificate no. KEMA 10ATEX0075 X Issue 9)


EL40xx - LEDs and connection

Mounting and wiring [image] EL40xx - LEDs and connection
EL40xx - LEDs and connection
Additional information
•
EL40xx - LEDs
•
EL4001, EL4031 - Connection
•
EL4011, EL4021 - Connection
•
EL4002, EL4032 - Connection
•
EL4012, EL4022 - Connection
•
EL40x4 - Connection
•
EL40x8 - Connection


EL40xx - LEDs

Mounting and wiring [image] EL40xx - LEDs and connection [image] EL40xx - LEDs
EL40xx - LEDs
LEDs, taking the EL4001 as an example
LEDs
LED | Color | Meaning
RUN | green | This LED indicates the terminal's operating state:
 |  | off | State of the EtherCAT State Machine: INIT = initialization of the terminal, state of the EtherCAT State Machine: BOOTSTRAP = function for firmware updates of the terminal
 |  | flashing | State of the EtherCAT State Machine: PREOP = function for mailbox communication and different standard-settings set
 |  | single flash | State of the EtherCAT State Machine: SAFEOP = verification of the Sync Manager channels and the distributed clocks. Outputs remain in safe state
 |  | on | State of the EtherCAT State Machine: OP = normal operating state; mailbox and process data communication is possible
If several RUN LEDs are present, all of them have the same function.


EL4001, EL4031 - Connection

Mounting and wiring [image] EL40xx - LEDs and connection [image] EL4001, EL4031 - Connection
EL4001, EL4031 - Connection
Connection, taking the EL4001 as an example
Connection EL4001, EL4031
Terminal point | No. | Comment
Output 1 | 1 | Output 1
- | 2 | not connected
0 V | 3 | 0 V (internally connected to terminal point 7 and negative power contact)
Shield | 4 | Shield (internally connected to terminal point 8)
- | 5 | not connected
- | 6 | not connected
0 V | 7 | 0 V (internally connected to terminal point 3 and negative power contact)
Shield | 8 | Shield (internally connected to terminal point 4)


EL4011, EL4021 - Connection

Mounting and wiring [image] EL40xx - LEDs and connection [image] EL4011, EL4021 - Connection
EL4011, EL4021 - Connection
Connection, taking the EL4011 as an example
Connection EL4011, EL4021
Terminal point | No. | Comment
Output 1 | 1 | Output 1
24 V | 2 | 24 V (internally connected to terminal point 6 and positive power contact)
0 V | 3 | 0 V (internally connected to terminal point 7 and negative power contact)
Shield | 4 | Shield (internally connected to terminal point 8)
- | 5 | not connected
24 V | 6 | 24 V (internally connected to terminal point 2 and positive power contact)
0 V | 7 | 0 V (internally connected to terminal point 3 and negative power contact)
Shield | 8 | Shield (internally connected to terminal point 4)


EL4002, EL4032 - Connection

Mounting and wiring [image] EL40xx - LEDs and connection [image] EL4002, EL4032 - Connection
EL4002, EL4032 - Connection
Connection, taking the EL4002 as an example
Connection EL4002, EL4032
Terminal point | No. | Comment
Output 1 | 1 | Output 1
- | 2 | not connected
0 V | 3 | 0 V (internally connected to terminal point 7 and negative power contact)
Shield | 4 | Shield (internally connected to terminal point 8)
Output 2 | 5 | Output 2
- | 6 | not connected
0 V | 7 | 0 V (internally connected to terminal point 3 and negative power contact)
Shield | 8 | Shield (internally connected to terminal point 4)


EL4012, EL4022 - Connection

Mounting and wiring [image] EL40xx - LEDs and connection [image] EL4012, EL4022 - Connection
EL4012, EL4022 - Connection
Connection, taking the EL4022 as an example
Connection EL4012, EL4022
Terminal point | No. | Comment
Output 1 | 1 | Output 1
24 V | 2 | 24 V (internally connected to terminal point 6 and positive power contact)
0 V | 3 | 0 V (internally connected to terminal point 7 and negative power contact)
Shield | 4 | Shield (internally connected to terminal point 8)
Output 2 | 5 | Output 2
24 V | 6 | 24 V (internally connected to terminal point 2 and positive power contact)
0 V | 7 | 0 V (internally connected to terminal point 3 and negative power contact)
Shield | 8 | Shield (internally connected to terminal point 4)


EL40x4 - Connection

Mounting and wiring [image] EL40xx - LEDs and connection [image] EL40x4 - Connection
EL40x4 - Connection
Connection, taking the EL4004 as an example
Connection EL40x4
Terminal point | No. | Comment
Output 1 | 1 | Output 1
Ground | 2 | 0 V (internally connected to terminal points 4, 6 and 8)
Output 3 | 3 | Output 3
Ground | 4 | 0 V (internally connected to terminal points 2, 6 and 8)
Output 2 | 5 | Output 2
Ground | 6 | 0 V (internally connected to terminal points 2, 4 and 8)
Output 4 | 7 | Output 4
Ground | 8 | 0 V (internally connected to terminal points 2, 4 and 6)


EL40x8 - Connection

Mounting and wiring [image] EL40xx - LEDs and connection [image] EL40x8 - Connection
EL40x8 - Connection
Connection, taking the EL4008 as an example
Connection EL40x8
Terminal point | No. | Comment
Output 1 | 1 | Output 1
Output 3 | 2 | Output 3
Output 5 | 3 | Output 5
Output 7 | 4 | Output 7
Output 2 | 5 | Output 2
Output 4 | 6 | Output 4
Output 6 | 7 | Output 6
Output 8 | 8 | Output 8


Commissioning

Commissioning
Commissioning
Additional information
•
TwinCAT Quick Start
•
TwinCAT Development Environment
•
General Notes - EtherCAT Slave Application
•
Short guide to commissioning
•
Overview of process data (PDO)
•
Basic Function Principles
•
Fast mode
•
EL4x1x, EL4x2x current output
•
Notices on analog specifications
•
Overview of process data (PDO)
•
Overview of parameter objects (CoE)


TwinCAT Quick Start

Commissioning [image] TwinCAT Quick Start
TwinCAT Quick Start
TwinCAT is a development environment for real-time control including multi-PLC system, NC axis control, programming and operation. The whole system is mapped through this environment and enables access to a programming environment (including compilation) for the controller. Individual digital or analog inputs or outputs can also be read or written directly, in order to verify their functionality, for example.
For further information please refer to http://infosys.beckhoff.com:
▪
EtherCAT Systemmanual:
Fieldbus Components → EtherCAT Terminals → EtherCAT System Documentation → Setup in the TwinCAT System Manager
▪
TwinCAT 2 → TwinCAT System Manager → I/O - Configuration
▪
In particular, TwinCAT driver installation:
Fieldbus components → Fieldbus Cards and Switches → FC900x – PCI Cards for Ethernet → Installation
Devices contain the terminals for the actual configuration. All configuration data can be entered directly via editor functions (offline) or via the “Scan” function (online):
▪
“offline”: The configuration can be customized by adding and positioning individual components. These can be selected from a directory and configured.
–
The procedure for offline mode can be found under http://infosys.beckhoff.com:
TwinCAT 2 → TwinCAT System Manager → IO - Configuration → Adding an I/O Device
▪
“online”: The existing hardware configuration is read
–
See also http://infosys.beckhoff.com:
Fieldbus components → Fieldbus cards and switches → FC900x – PCI Cards for Ethernet → Installation → Searching for devices
The following relationship is envisaged from user PC to the individual control elements:
Relationship between user side (commissioning) and installation
The user inserting of certain components (I/O device, terminal, box...) is the same in TwinCAT 2 and TwinCAT 3. The descriptions below relate to the online procedure.
Sample configuration (actual configuration)
Based on the following sample configuration, the subsequent subsections describe the procedure for TwinCAT 2 and TwinCAT 3:
▪
Control system (PLC) CX2040 including CX2100-0004 power supply unit
▪
Connected to the CX2040 on the right (E-bus):
EL1004 (4-channel digital input terminal 24 VDC)
▪
Linked via the X001 port (RJ-45): EK1100 EtherCAT Coupler
▪
Connected to the EK1100 EtherCAT coupler on the right (E-bus):
EL2008 (8-channel digital output terminal 24 VDC; 0.5 A)
▪
(Optional via X000: a link to an external PC for the user interface)
Control configuration with Embedded PC, input (EL1004) and output (EL2008)
Note that all combinations of a configuration are possible; for example, the EL1004 terminal could also be connected after the coupler, or the EL2008 terminal could additionally be connected to the CX2040 on the right, in which case the EK1100 coupler wouldn’t be necessary.
Additional information
•
TwinCAT 2
•
TwinCAT 3


TwinCAT 2

Commissioning [image] TwinCAT Quick Start [image] TwinCAT 2
TwinCAT 2
Startup
TwinCAT basically uses two user interfaces: the TwinCAT System Manager for communication with the electromechanical components and TwinCAT PLC Control for the development and compilation of a controller. The starting point is the TwinCAT System Manager.
After successful installation of the TwinCAT system on the PC to be used for development, the TwinCAT 2 System Manager displays the following user interface after startup:
Initial TwinCAT 2 user interface
Generally, TwinCAT can be used in local or remote mode. Once the TwinCAT system including the user interface (standard) is installed on the respective PLC, TwinCAT can be used in local mode and thereby the next step is “Insert Device”.
If the intention is to address the TwinCAT runtime environment installed on a PLC as development environment remotely from another system, the target system must be made known first. In the menu under “Actions” → “Choose Target System...”, via the symbol “ [image] ” or the “F8” key, open the following window:
Selection of the target system
Use “Search (Ethernet)...” to enter the target system. Thus a next dialog opens to either:
▪
enter the known computer name after “Enter Host Name / IP:” (as shown in red)
▪
perform a “Broadcast Search” (if the exact computer name is not known)
▪
enter the known computer IP or AmsNetID.
Specify the PLC for access by the TwinCAT System Manager: selection of the target system
Once the target system has been entered, it is available for selection as follows (a password may have to be entered):
After confirmation with “OK” the target system can be accessed via the System Manager.
Adding devices
In the configuration tree of the TwinCAT 2 System Manager user interface on the left, select “I/O Devices” and then right-click to open a context menu and select “Scan Devices…”, or start the action in the menu bar via [image]. The TwinCAT System Manager may first have to be set to “Config mode” via [image] or via menu
“Actions” → “Set/Reset TwinCAT to Config Mode…” (Shift + F4).
Select “Scan Devices...”
Confirm the warning message, which follows, and select “EtherCAT” in the dialog:
Automatic detection of I/O devices: selection the devices to be integrated
Confirm the message “Find new boxes”, in order to determine the terminals connected to the devices. “Free Run” enables manipulation of input and output values in “Config mode” and should also be acknowledged.
Based on the sample configuration described at the beginning of this section, the result is as follows:
Mapping of the configuration in the TwinCAT 2 System Manager
The whole process consists of two stages, which may be performed separately (first determine the devices, then determine the connected elements such as boxes, terminals, etc.). A scan can also be initiated by selecting “Device ...” from the context menu, which then reads the elements present in the configuration below:
Reading of individual terminals connected to a device
This functionality is useful if the actual configuration is modified at short notice.
Programming and integrating the PLC
TwinCAT PLC Control is the development environment for the creation of the controller in different program environments: TwinCAT PLC Control supports all languages described in IEC 61131-3. There are two text-based languages and three graphical languages.
▪
Text-based languages
–
Instruction List (IL)
–
Structured Text (ST)
▪
Graphical languages
–
Function Block Diagram (FBD)
–
Ladder Diagram (LD)
–
The Continuous Function Chart Editor (CFC)
–
Sequential Function Chart (SFC)
The following section refers to Structured Text (ST).
After starting TwinCAT PLC Control, the following user interface is shown for an initial project:
TwinCAT PLC Control after startup
Sample variables and a sample program have been created and stored under the name “PLC_example.pro”:
Sample program with variables after a compile process (without variable integration)
Warning 1990 (missing “VAR_CONFIG”) after a compile process indicates that the variables defined as external (with the ID “AT%I*” or “AT%Q*”) have not been assigned. After successful compilation, TwinCAT PLC Control creates a “*.tpy” file in the directory in which the project was stored. This file (“*.tpy”) contains variable assignments and is not known to the System Manager, hence the warning. Once the System Manager has been notified, the warning no longer appears.
First, integrate the TwinCAT PLC Control project in the System Manager via the context menu of the PLC configuration; right-click and select “Append PLC Project…”:
Appending the TwinCAT PLC Control project
Select the PLC configuration “PLC_example.tpy” in the browser window that opens. The project including the two variables identified with “AT” are then integrated in the configuration tree of the System Manager:
PLC project integrated in the PLC configuration of the System Manager
The two variables “bEL1004_Ch4” and “nEL2008_value” can now be assigned to certain process objects of the I/O configuration.
Assigning variables
Open a window for selecting a suitable process object (PDO) via the context menu of a variable of the integrated project “PLC_example” and via “Modify Link...” “Standard”:
Creating the links between PLC variables and process objects
In the window that opens, the process object for the variable “bEL1004_Ch4” of type BOOL can be selected from the PLC configuration tree:
Selecting PDO of type BOOL
According to the default setting, certain PDO objects are now available for selection. In this sample the input of channel 4 of the EL1004 terminal is selected for linking. In contrast, the checkbox “All types” must be ticked for creating the link for the output variables, in order to allocate a set of eight separate output bits to a byte variable. The following diagram shows the whole process:
Selecting several PDOs simultaneously: activate “Continuous” and “All types”
Note that the “Continuous” checkbox was also activated. This is designed to allocate the bits contained in the byte of the variable “nEL2008_value” sequentially to all eight selected output bits of the EL2008 terminal. In this way it is possible to subsequently address all eight outputs of the terminal in the program with a byte corresponding to bit 0 for channel 1 to bit 7 for channel 8 of the PLC. A special symbol ( [image]) at the yellow or red object of the variable indicates that a link exists. The links can also be checked by selecting a “Goto Link Variable” from the context menu of a variable. The object opposite, in this case the PDO, is automatically selected:
Application of a “Goto Link” variable, using “MAIN.bEL1004_Ch4” as a sample
The process of assigning variables to the PDO is completed via the menu selection “Actions” → “Generate Mappings”, key Ctrl+M or by clicking on the symbol [image] in the menu.
This can be visualized in the configuration:
The process of creating links can also take place in the opposite direction, i.e. starting with individual PDOs to variable. However, in this example it would then not be possible to select all output bits for the EL2008, since the terminal only makes individual digital outputs available. If a terminal has a byte, word, integer or similar PDO, it is possible to allocate this a set of bit-standardized variables (type “BOOL”). Here, too, a “Goto Link Variable” from the context menu of a PDO can be executed in the other direction, so that the respective PLC instance can then be selected.
Activation of the configuration
The allocation of PDO to PLC variables has now established the connection from the controller to the inputs and outputs of the terminals. The configuration can now be activated. First, the configuration can be verified via [image] (or via “Actions” → “Check Configuration”). If no error is present, the configuration can be activated via [image] (or via “Actions” → “Activate Configuration…”) to transfer the System Manager settings to the runtime system. Confirm the messages “Old configurations are overwritten!” and “Restart TwinCAT system in Run mode” with “OK”.
A few seconds later the real-time status [image] is displayed at the bottom right in the System Manager. The PLC system can then be started as described below.
Starting the controller
Starting from a remote system, the PLC control has to be linked with the Embedded PC over Ethernet via “Online” → “Choose Run-Time System…”:
Choose target system (remote)
In this sample “Runtime system 1 (port 801)” is selected and confirmed. Link the PLC with the real-time system via menu option “Online” → “Login”, the F11 key or by clicking on the symbol [image]. The control program can then be loaded for execution. This results in the message “No program on the controller! Should the new program be loaded?”, which should be acknowledged with “Yes”. The runtime environment is ready for the program start:
PLC Control logged in, ready for program startup
The PLC can now be started via “Online” → “Run”, F5 key or [image].


TwinCAT 3

Commissioning [image] TwinCAT Quick Start [image] TwinCAT 3
TwinCAT 3
Startup
TwinCAT makes the development environment areas available together with Microsoft Visual Studio: after startup, the project folder explorer appears on the left in the general window area (cf. “TwinCAT System Manager” of TwinCAT 2) for communication with the electromechanical components.
After successful installation of the TwinCAT system on the PC to be used for development, TwinCAT 3 (shell) displays the following user interface after startup:
Initial TwinCAT 3 user interface
First create a new project via [image] (or under “File”→“New”→ “Project…”). In the following dialog make the corresponding entries as required (as shown in the diagram):
Create new TwinCAT project
The new project is then available in the project folder explorer:
New TwinCAT3 project in the project folder explorer
Generally, TwinCAT can be used in local or remote mode. Once the TwinCAT system including the user interface (standard) is installed on the respective PLC, TwinCAT can be used in local mode and thereby the next step is “Insert Device”.
If the intention is to address the TwinCAT runtime environment installed on a PLC as development environment remotely from another system, the target system must be made known first. Via the symbol in the menu bar:
expand the pull-down menu:
and open the following window:
Selection dialog: Choose the target system
Use “Search (Ethernet)...” to enter the target system. Thus a next dialog opens to either:
▪
enter the known computer name after “Enter Host Name / IP:” (as shown in red)
▪
perform a “Broadcast Search” (if the exact computer name is not known)
▪
enter the known computer IP or AmsNetID.
Specify the PLC for access by the TwinCAT System Manager: selection of the target system
Once the target system has been entered, it is available for selection as follows (a password may have to be entered):
After confirmation with “OK” the target system can be accessed via the Visual Studio shell.
Adding devices
In the project folder explorer of the Visual Studio shell user interface on the left, select “Devices” within element “I/O”, then right-click to open a context menu and select “Scan” or start the action via [image] in the menu bar. The TwinCAT System Manager may first have to be set to “Config mode” via [image] or via the menu “TwinCAT” → “Restart TwinCAT (Config mode)”.
Select “Scan”
Confirm the warning message, which follows, and select “EtherCAT” in the dialog:
Automatic detection of I/O devices: selection the devices to be integrated
Confirm the message “Find new boxes”, in order to determine the terminals connected to the devices. “Free Run” enables manipulation of input and output values in “Config mode” and should also be acknowledged.
Based on the sample configuration described at the beginning of this section, the result is as follows:
Mapping of the configuration in VS shell of the TwinCAT3 environment
The whole process consists of two stages, which may be performed separately (first determine the devices, then determine the connected elements such as boxes, terminals, etc.). A scan can also be initiated by selecting “Device ...” from the context menu, which then reads the elements present in the configuration below:
Reading of individual terminals connected to a device
This functionality is useful if the actual configuration is modified at short notice.
Programming the PLC
TwinCAT PLC Control is the development environment for the creation of the controller in different program environments: TwinCAT PLC Control supports all languages described in IEC 61131-3. There are two text-based languages and three graphical languages.
▪
Text-based languages
–
Instruction List (IL)
–
Structured Text (ST)
▪
Graphical languages
–
Function Block Diagram (FBD)
–
Ladder Diagram (LD)
–
The Continuous Function Chart Editor (CFC)
–
Sequential Function Chart (SFC)
The following section refers to Structured Text (ST).
In order to create a programming environment, a PLC subproject is added to the project sample via the context menu of “PLC” in the project folder explorer by selecting “Add New Item….”:
Adding the programming environment in “PLC”
In the dialog that opens select “Standard PLC project” and enter “PLC_example” as project name, for example, and select a corresponding directory:
Specifying the name and directory for the PLC programming environment
The “Main” program, which already exists by selecting “Standard PLC project”, can be opened by double-clicking on “PLC_example_project” in “POUs”. The following user interface is shown for an initial project:
Initial “Main” program of the standard PLC project
To continue, sample variables and a sample program have now been created:
Sample program with variables after a compile process (without variable integration)
The control program is now created as a project folder, followed by the compile process:
Start program compilation
The following variables, identified in the ST/ PLC program with “AT%”, are then available in under “Assignments” in the project folder explorer:
Assigning variables
Via the menu of an instance - variables in the “PLC” context, use the “Modify Link…” option to open a window for selecting a suitable process object (PDO) for linking:
Creating the links between PLC variables and process objects
In the window that opens, the process object for the variable “bEL1004_Ch4” of type BOOL can be selected from the PLC configuration tree:
Selecting PDO of type BOOL
According to the default setting, certain PDO objects are now available for selection. In this sample the input of channel 4 of the EL1004 terminal is selected for linking. In contrast, the checkbox “All types” must be ticked for creating the link for the output variables, in order to allocate a set of eight separate output bits to a byte variable. The following diagram shows the whole process:
Selecting several PDOs simultaneously: activate “Continuous” and “All types”
Note that the “Continuous” checkbox was also activated. This is designed to allocate the bits contained in the byte of the variable “nEL2008_value” sequentially to all eight selected output bits of the EL2008 terminal. In this way it is possible to subsequently address all eight outputs of the terminal in the program with a byte corresponding to bit 0 for channel 1 to bit 7 for channel 8 of the PLC. A special symbol ( [image]) at the yellow or red object of the variable indicates that a link exists. The links can also be checked by selecting a “Goto Link Variable” from the context menu of a variable. The object opposite, in this case the PDO, is automatically selected:
Application of a “Goto Link” variable, using “MAIN.bEL1004_Ch4” as a sample
The process of creating links can also take place in the opposite direction, i.e. starting with individual PDOs to variable. However, in this example it would then not be possible to select all output bits for the EL2008, since the terminal only makes individual digital outputs available. If a terminal has a byte, word, integer or similar PDO, it is possible to allocate this a set of bit-standardized variables (type “BOOL”). Here, too, a “Goto Link Variable” from the context menu of a PDO can be executed in the other direction, so that the respective PLC instance can then be selected.
Note on the type of variable assignment
The following type of variable assignment can only be used from TwinCAT version V3.1.4024.4 onwards and is only available for terminals with a microcontroller.
In TwinCAT it is possible to create a structure from the mapped process data of a terminal. An instance of this structure can then be created in the PLC, so it is possible to access the process data directly from the PLC without having to declare own variables.
The procedure for the EL3001 1-channel analog input terminal -10...+10 V is shown as an example.
1.
First the required process data must be selected in the “Process data” tab in TwinCAT.
2.
After that, the PLC data type must be generated in the tab “PLC” via the check box.
3.
The data type in the “Data Type” field can then be copied using the “Copy” button.
Creating a PLC data type
4.
An instance of the data structure of the copied data type must then be created in the PLC.
Instance_of_struct
5.
Then the project folder must be created. This can be done either via the key combination “CTRL + Shift + B” or via the “Build” tab in TwinCAT.
6.
The structure in the “PLC” tab of the terminal must then be linked to the created instance.
Linking the structure
7.
In the PLC the process data can then be read or written via the structure in the program code.
Reading a variable from the structure of the process data
Activation of the configuration
The allocation of PDO to PLC variables has now established the connection from the controller to the inputs and outputs of the terminals. The configuration can now be activated with [image] or via the menu under “TwinCAT” in order to transfer settings of the development environment to the runtime system. Confirm the messages “Old configurations are overwritten!” and “Restart TwinCAT system in Run mode” with “OK”. The corresponding assignments can be seen in the project folder explorer:
A few seconds later the corresponding status of the Run mode is displayed in the form of a rotating symbol [image] at the bottom right of the VS shell development environment. The PLC system can then be started as described below.
Starting the controller
Select the menu option “PLC” → “Login” or click on [image] to link the PLC with the real-time system and load the control program for execution. This results in the message No program on the controller! Should the new program be loaded?, which should be acknowledged with “Yes”. The runtime environment is ready for program start by click on symbol [image], the “F5” key or via “PLC” in the menu selecting “Start”. The started programming environment shows the runtime values of individual variables:
TwinCAT development environment (VS shell): logged-in, after program startup
The two operator control elements for stopping [image] and logout [image] result in the required action (accordingly also for stop “Shift + F5”, or both actions can be selected via the PLC menu).


TwinCAT Development Environment

Commissioning [image] TwinCAT Development Environment
TwinCAT Development Environment
The Software for automation TwinCAT (The Windows Control and Automation Technology) will be distinguished into:
▪
TwinCAT 2: System Manager (Configuration) & PLC Control (Programming)
▪
TwinCAT 3: Enhancement of TwinCAT 2 (Programming and Configuration takes place via a common Development Environment)
Details:
▪
TwinCAT 2:
–
Connects I/O devices to tasks in a variable-oriented manner
–
Connects tasks to tasks in a variable-oriented manner
–
Supports units at the bit level
–
Supports synchronous or asynchronous relationships
–
Exchange of consistent data areas and process images
–
Datalink on NT - Programs by open Microsoft Standards (OLE, OCX, ActiveX, DCOM+, etc.)
–
Integration of IEC 61131-3-Software-SPS, Software- NC and Software-CNC within Windows NT/2000/XP/Vista, Windows 7, NT/XP Embedded, CE
–
Interconnection to all common fieldbusses
–
More…
Additional features:
▪
TwinCAT 3 (eXtended Automation):
–
Visual-Studio®-Integration
–
Choice of the programming language
–
Supports object orientated extension of IEC 61131-3
–
Usage of C/C++ as programming language for real time applications
–
Connection to MATLAB®/Simulink®
–
Open interface for expandability
–
Flexible run-time environment
–
Active support of Multi-Core- und 64-Bit-Operatingsystem
–
Automatic code generation and project creation with the TwinCAT Automation Interface
–
More…
Within the following sections commissioning of the TwinCAT Development Environment on a PC System for the control and also the basically functions of unique control elements will be explained.
Please see further information to TwinCAT 2 and TwinCAT 3 at http://infosys.beckhoff.com.
Additional information
•
Installation of the TwinCAT real-time driver
•
Notes regarding ESI device description
•
TwinCAT ESI Updater
•
Distinction between Online and Offline
•
OFFLINE configuration creation
•
ONLINE configuration creation
•
EtherCAT subscriber configuration


Installation of the TwinCAT real-time driver

Commissioning [image] TwinCAT Development Environment [image] Installation of the TwinCAT real-time driver
Installation of the TwinCAT real-time driver
In order to assign real-time capability to a standard Ethernet port of an IPC controller, the Beckhoff real-time driver has to be installed on this port under Windows.
This can be done in several ways. One option is described here.
In the System Manager call up the TwinCAT overview of the local network interfaces via Options → Show Real Time Ethernet Compatible Devices.
System Manager “Options” (TwinCAT 2)
This have to be called up by the Menü “TwinCAT” within the TwinCAT 3 environment:
Call up under VS Shell (TwinCAT 3)
The following dialog appears:
Overview of network interfaces
Interfaces listed under “Compatible devices” can be assigned a driver via the “Install” button. A driver should only be installed on compatible devices.
A Windows warning regarding the unsigned driver can be ignored.
Alternatively an EtherCAT-device can be inserted first of all as described in chapter Offline configuration creation, section “Creating the EtherCAT device” in order to view the compatible ethernet ports via its EtherCAT properties (tab “Adapter”, button “Compatible Devices…”):
EtherCAT device properties(TwinCAT 2): click on “Compatible Devices…” of tab “Adapte””
TwinCAT 3: the properties of the EtherCAT device can be opened by double click on “Device .. (EtherCAT)” within the Solution Explorer under “I/O”:
After the installation the driver appears activated in the Windows overview for the network interface (Windows Start → System Properties → Network)
Windows properties of the network interface
A correct setting of the driver could be:
Exemplary correct driver setting for the Ethernet port
Other possible settings have to be avoided:
Incorrect driver settings for the Ethernet port
IP address of the port used
IP address/DHCP
In most cases an Ethernet port that is configured as an EtherCAT device will not transport general IP packets. For this reason and in cases where an EL6601 or similar devices are used it is useful to specify a fixed IP address for this port via the “Internet Protocol TCP/IP” driver setting and to disable DHCP. In this way the delay associated with the DHCP client for the Ethernet port assigning itself a default IP address in the absence of a DHCP server is avoided. A suitable address space is 192.168.x.x, for example.
TCP/IP setting for the Ethernet port


Notes regarding ESI device description

Commissioning [image] TwinCAT Development Environment [image] Notes regarding ESI device description
Notes regarding ESI device description
Installation of the latest ESI device description
The TwinCAT EtherCAT master/System Manager needs the device description files for the devices to be used in order to generate the configuration in online or offline mode. The device descriptions are contained in the so-called ESI files (EtherCAT Slave Information) in XML format. These files can be requested from the respective manufacturer and are made available for download. An *.xml file may contain several device descriptions.
The ESI files for Beckhoff EtherCAT devices are available on the Beckhoff website.
The ESI files should be stored in the TwinCAT installation directory.
Default settings:
▪
TwinCAT 2: C:\TwinCAT\IO\EtherCAT
▪
TwinCAT 3: C:\TwinCAT\3.1\Config\Io\EtherCAT
The files are read (once) when a new System Manager window is opened, if they have changed since the last time the System Manager window was opened.
A TwinCAT installation includes the set of Beckhoff ESI files that was current at the time when the TwinCAT build was created.
For TwinCAT 2.11/TwinCAT 3 and higher, the ESI directory can be updated from the System Manager, if the programming PC is connected to the Internet; by
▪
TwinCAT 2: Option → “Update EtherCAT Device Descriptions”
▪
TwinCAT 3: TwinCAT → EtherCAT Devices → “Update Device Descriptions (via ETG Website)…”
The TwinCAT ESI Updater is available for this purpose.
ESI
The *.xml files are associated with *.xsd files, which describe the structure of the ESI XML files. To update the ESI device descriptions, both file types should therefore be updated.
Device differentiation
EtherCAT devices/slaves are distinguished by four properties, which determine the full device identifier. For example, the device identifier EL2521-0025-1018 consists of:
▪
family key “EL”
▪
name “2521”
▪
type “0025”
▪
and revision “1018”
Identifier structure
The order identifier consisting of name + type (here: EL2521-0010) describes the device function. The revision indicates the technical progress and is managed by Beckhoff. In principle, a device with a higher revision can replace a device with a lower revision, unless specified otherwise, e.g. in the documentation. Each revision has its own ESI description. See further notes.
Online description
If the EtherCAT configuration is created online through scanning of real devices (see section Online setup) and no ESI descriptions are available for a slave (specified by name and revision) that was found, the System Manager asks whether the description stored in the device should be used. In any case, the System Manager needs this information for setting up the cyclic and acyclic communication with the slave correctly.
OnlineDescription information window (TwinCAT 2)
In TwinCAT 3 a similar window appears, which also offers the Web update:
Information window OnlineDescription (TwinCAT 3)
If possible, the Yes is to be rejected and the required ESI is to be requested from the device manufacturer. After installation of the XML/XSD file the configuration process should be repeated.
Note
Changing the “usual” configuration through a scan
✓
If a scan discovers a device that is not yet known to TwinCAT, distinction has to be made between two cases. Taking the example here of the EL2521-0000 in the revision 1019
1.
no ESI is present for the EL2521-0000 device at all, either for the revision 1019 or for an older revision. The ESI must then be requested from the manufacturer (in this case Beckhoff).
2.
an ESI is present for the EL2521-0000 device, but only in an older revision, e.g. 1018 or 1017.
In this case an in-house check should first be performed to determine whether the spare parts stock allows the integration of the increased revision into the configuration at all. A new/higher revision usually also brings along new features. If these are not to be used, work can continue without reservations with the previous revision 1018 in the configuration. This is also stated by the Beckhoff compatibility rule.
Refer in particular to the chapter “General notes on the use of Beckhoff EtherCAT IO components” and for manual configuration to the chapter “Offline configuration creation”.
If the OnlineDescription is used regardless, the System Manager reads a copy of the device description from the EEPROM in the EtherCAT slave. In complex slaves the size of the EEPROM may not be sufficient for the complete ESI, in which case the ESI would be incomplete in the configurator. Therefore it’s recommended using an offline ESI file with priority in such a case.
The System Manager creates for online recorded device descriptions a new file “OnlineDescription0000...xml” in its ESI directory, which contains all ESI descriptions that were read online.
File OnlineDescription.xml created by the System Manager
Is a slave desired to be added manually to the configuration at a later stage, online created slaves are indicated by a prepended symbol “>” in the selection list (see Figure Indication of an online recorded ESI of EL2521 as an example).
Indication of an online recorded ESI of EL2521 as an example
If such ESI files are used and the manufacturer's files become available later, the file OnlineDescription.xml should be deleted as follows:
▪
close all System Manager windows
▪
restart TwinCAT in Config mode
▪
delete “OnlineDescription0000...xml”
▪
restart TwinCAT System Manager
This file should not be visible after this procedure, if necessary press <F5> to update
OnlineDescription for TwinCAT 3.x
In addition to the file described above “OnlineDescription0000...xml”, a so called EtherCAT cache with new discovered devices is created by TwinCAT 3.x, e.g. under Windows 7:

(Please note the language settings of the OS!)
You have to delete this file, too.
Faulty ESI file
If an ESI file is faulty and the System Manager is unable to read it, the System Manager brings up an information window.
Information window for faulty ESI file (left: TwinCAT 2; right: TwinCAT 3)
Reasons may include:
▪
Structure of the *.xml does not correspond to the associated *.xsd file → check your schematics
▪
Contents cannot be translated into a device description → contact the file manufacturer


TwinCAT ESI Updater

Commissioning [image] TwinCAT Development Environment [image] TwinCAT ESI Updater
TwinCAT ESI Updater
For TwinCAT 2.11 and higher, the System Manager can search for current Beckhoff ESI files automatically, if an online connection is available:
Using the ESI Updater (>= TwinCAT 2.11)
The call up takes place under:
“Options” → “Update EtherCAT Device Descriptions”
Selection under TwinCAT 3:
Using the ESI Updater (TwinCAT 3)
The ESI Updater (TwinCAT 3) is a convenient option for automatic downloading of ESI data provided by EtherCAT manufacturers via the Internet into the TwinCAT directory (ESI = EtherCAT slave information). TwinCAT accesses the central ESI ULR directory list stored at ETG; the entries can then be viewed in the Updater dialog, although they cannot be changed there.
The call up takes place under:
“TwinCAT” → “EtherCAT Devices” → “Update Device Description (via ETG Website)…”.


Distinction between Online and Offline

Commissioning [image] TwinCAT Development Environment [image] Distinction between Online and Offline
Distinction between Online and Offline
The distinction between online and offline refers to the presence of the actual I/O environment (drives, terminals, EJ-modules). If the configuration is to be prepared in advance of the system configuration as a programming system, e.g. on a laptop, this is only possible in “Offline configuration” mode. In this case all components have to be entered manually in the configuration, e.g. based on the electrical design.
If the designed control system is already connected to the EtherCAT system and all components are energised and the infrastructure is ready for operation, the TwinCAT configuration can simply be generated through “scanning” from the runtime system. This is referred to as online configuration.
In any case, during each startup the EtherCAT master checks whether the slaves it finds match the configuration. This test can be parameterised in the extended slave settings. Refer to note “Installation of the latest ESI-XML device description”.
For preparation of a configuration:
▪
the real EtherCAT hardware (devices, couplers, drives) must be present and installed
▪
the devices/modules must be connected via EtherCAT cables or in the terminal/ module strand in the same way as they are intended to be used later
▪
the devices/modules be connected to the power supply and ready for communication
▪
TwinCAT must be in CONFIG mode on the target system.
The online scan process consists of:
▪
detecting the EtherCAT device (Ethernet port at the IPC)
▪
detecting the connected EtherCAT devices. This step can be carried out independent of the preceding step
▪
troubleshooting
The scan with existing configuration can also be carried out for comparison.


OFFLINE configuration creation

Commissioning [image] TwinCAT Development Environment [image] OFFLINE configuration creation
OFFLINE configuration creation
Creating the EtherCAT device
Create an EtherCAT device in an empty System Manager window.
Append EtherCAT device (left: TwinCAT 2; right: TwinCAT 3)
Select type “EtherCAT” for an EtherCAT I/O application with EtherCAT slaves. For the present publisher/subscriber service in combination with an EL6601/EL6614 terminal select “EtherCAT Automation Protocol via EL6601”.
Selecting the EtherCAT connection (TwinCAT 2.11, TwinCAT 3)
Then assign a real Ethernet port to this virtual device in the runtime system.
Selecting the Ethernet port
This query may appear automatically when the EtherCAT device is created, or the assignment can be set/modified later in the properties dialog; see Fig. “EtherCAT device properties (TwinCAT 2)”.
EtherCAT device properties (TwinCAT 2)
TwinCAT 3: the properties of the EtherCAT device can be opened by double click on “Device .. (EtherCAT)” within the Solution Explorer under “I/O”:
Selecting the Ethernet port
Ethernet ports can only be selected for EtherCAT devices for which the TwinCAT real-time driver is installed. This has to be done separately for each port. Please refer to the respective installation page.
Defining EtherCAT slaves
Further devices can be appended by right-clicking on a device in the configuration tree.
Appending EtherCAT devices (left: TwinCAT 2; right: TwinCAT 3)
The dialog for selecting a new device opens. Only devices for which ESI files are available are displayed.
Only devices are offered for selection that can be appended to the previously selected device. Therefore the physical layer available for this port is also displayed (Fig. “Selection dialog for new EtherCAT device”, A). In the case of cable-based Fast-Ethernet physical layer with PHY transfer, then also only cable-based devices are available, as shown in Fig. “Selection dialog for new EtherCAT device”. If the preceding device has several free ports (e.g. EK1122 or EK1100), the required port can be selected on the right-hand side (A).
Overview of physical layer
▪
“Ethernet”: cable-based 100BASE-TX: EK couplers, EP boxes, devices with RJ45/M8/M12 connector
▪
“E-Bus”: LVDS “terminal bus”, “EJ-module”: EL/ES terminals, various modular modules
The search field facilitates finding specific devices (since TwinCAT 2.11 or TwinCAT 3).
Selection dialog for new EtherCAT device
By default only the name/device type is used as selection criterion. For selecting a specific revision of the device the revision can be displayed as “Extended Information”.
Display of device revision
In many cases several device revisions were created for historic or functional reasons, e.g. through technological advancement. For simplification purposes (see Fig. “Selection dialog for new EtherCAT device”) only the last (i.e. highest) revision and therefore the latest state of production is displayed in the selection dialog for Beckhoff devices. To show all device revisions available in the system as ESI descriptions tick the “Show Hidden Devices” check box, see Fig. “Display of previous revisions”.
Display of previous revisions
Device selection based on revision, compatibility
The ESI description also defines the process image, the communication type between master and slave/device and the device functions, if applicable. The physical device (firmware, if available) has to support the communication queries/settings of the master. This is backward compatible, i.e. newer devices (higher revision) should be supported if the EtherCAT master addresses them as an older revision. The following compatibility rule of thumb is to be assumed for Beckhoff EtherCAT Terminals/ Boxes/ EJ-modules:
device revision in the system >= device revision in the configuration
This also enables subsequent replacement of devices without changing the configuration (different specifications are possible for drives).
Example
If an EL2521-0025-1018 is specified in the configuration, an EL2521-0025-1018 or higher (-1019, -1020) can be used in practice.
Name/revision of the terminal
If current ESI descriptions are available in the TwinCAT system, the last revision offered in the selection dialog matches the Beckhoff state of production. It is recommended to use the last device revision when creating a new configuration, if current Beckhoff devices are used in the real application. Older revisions should only be used if older devices from stock are to be used in the application.
In this case the process image of the device is shown in the configuration tree and can be parameterized as follows: linking with the task, CoE/DC settings, plug-in definition, startup settings, ...
EtherCAT terminal in the TwinCAT tree (left: TwinCAT 2; right: TwinCAT 3)


ONLINE configuration creation

Commissioning [image] TwinCAT Development Environment [image] ONLINE configuration creation
ONLINE configuration creation
Detecting/scanning of the EtherCAT device
The online device search can be used if the TwinCAT system is in CONFIG mode. This can be indicated by a symbol right below in the information bar:
▪
on TwinCAT 2 by a blue display “Config Mode” within the System Manager window: .
▪
on TwinCAT 3 within the user interface of the development environment by a symbol [image].
TwinCAT can be set into this mode:
▪
TwinCAT 2: by selection of [image] in the Menubar or by “Actions” → “Set/Reset TwinCAT to Config Mode…”
▪
TwinCAT 3: by selection of [image] in the Menubar or by “TwinCAT” → “Restart TwinCAT (Config Mode)”
Online scanning in Config mode
The online search is not available in RUN mode (production operation). Note the differentiation between TwinCAT programming system and TwinCAT target system.
The TwinCAT 2 icon ( [image]) or TwinCAT 3 icon ( [image]) within the Windows-Taskbar always shows the TwinCAT mode of the local IPC. Compared to that, the System Manager window of TwinCAT 2 or the user interface of TwinCAT 3 indicates the state of the target system.
Differentiation local/target system (left: TwinCAT 2; right: TwinCAT 3)
Right-clicking on “I/O Devices” in the configuration tree opens the search dialog.
Scan Devices (left: TwinCAT 2; right: TwinCAT 3)
This scan mode attempts to find not only EtherCAT devices (or Ethernet ports that are usable as such), but also NOVRAM, fieldbus cards, SMB etc. However, not all devices can be found automatically.
Note for automatic device scan (left: TwinCAT 2; right: TwinCAT 3)
Ethernet ports with installed TwinCAT real-time driver are shown as “RT Ethernet” devices. An EtherCAT frame is sent to these ports for testing purposes. If the scan agent detects from the response that an EtherCAT slave is connected, the port is immediately shown as an “EtherCAT Device” .
Detected Ethernet devices
Via respective checkboxes devices can be selected (as illustrated in Fig. “Detected Ethernet devices” e.g. Device 3 and Device 4 were chosen). After confirmation with “OK” a device scan is suggested for all selected devices, see Fig.: “Scan query after automatic creation of an EtherCAT device”.
Selecting the Ethernet port
Ethernet ports can only be selected for EtherCAT devices for which the TwinCAT real-time driver is installed. This has to be done separately for each port. Please refer to the respective installation page.
Detecting/Scanning the EtherCAT devices
Online scan functionality
During a scan the master queries the identity information of the EtherCAT slaves from the slave EEPROM. The name and revision are used for determining the type. The respective devices are located in the stored ESI data and integrated in the configuration tree in the default state defined there.
Example default state
Note
Slave scanning in practice in series machine production
The scanning function should be used with care. It is a practical and fast tool for creating an initial configuration as a basis for commissioning. In series machine production or reproduction of the plant, however, the function should no longer be used for the creation of the configuration, but if necessary for comparison with the defined initial configuration.Background: since Beckhoff occasionally increases the revision version of the delivered products for product maintenance reasons, a configuration can be created by such a scan which (with an identical machine construction) is identical according to the device list; however, the respective device revision may differ from the initial configuration.
Example:
Company A builds the prototype of a machine B, which is to be produced in series later on. To do this the prototype is built, a scan of the IO devices is performed in TwinCAT and the initial configuration “B.tsm” is created. The EL2521-0025 EtherCAT terminal with the revision 1018 is located somewhere. It is thus built into the TwinCAT configuration in this way:
Installing EthetCAT terminal with revision -1018
Likewise, during the prototype test phase, the functions and properties of this terminal are tested by the programmers/commissioning engineers and used if necessary, i.e. addressed from the PLC “B.pro” or the NC. (the same applies correspondingly to the TwinCAT 3 solution files).
The prototype development is now completed and series production of machine B starts, for which Beckhoff continues to supply the EL2521-0025-0018. If the commissioning engineers of the series machine production department always carry out a scan, a B configuration with the identical contents results again for each machine. Likewise, A might create spare parts stores worldwide for the coming series-produced machines with EL2521-0025-1018 terminals.
After some time Beckhoff extends the EL2521-0025 by a new feature C. Therefore the FW is changed, outwardly recognizable by a higher FW version and a new revision -1019. Nevertheless the new device naturally supports functions and interfaces of the predecessor version(s); an adaptation of “B.tsm” or even “B.pro” is therefore unnecessary. The series-produced machines can continue to be built with “B.tsm” and “B.pro”; it makes sense to perform a comparative scan against the initial configuration “B.tsm” in order to check the built machine.
However, if the series machine production department now doesn’t use “B.tsm”, but instead carries out a scan to create the productive configuration, the revision -1019 is automatically detected and built into the configuration:
Detection of EtherCAT terminal with revision -1019
This is usually not noticed by the commissioning engineers. TwinCAT cannot signal anything either, since virtually a new configuration is created. According to the compatibility rule, however, this means that no EL2521-0025-1018 should be built into this machine as a spare part (even if this nevertheless works in the vast majority of cases).
In addition, it could be the case that, due to the development accompanying production in company A, the new feature C of the EL2521-0025-1019 (for example, an improved analog filter or an additional process data for the diagnosis) is discovered and used without in-house consultation. The previous stock of spare part devices are then no longer to be used for the new configuration “B2.tsm” created in this way. Þ if series machine production is established, the scan should only be performed for informative purposes for comparison with a defined initial configuration. Changes are to be made with care!
If an EtherCAT device was created in the configuration (manually or through a scan), the I/O field can be scanned for devices/slaves.
Scan query after automatic creation of an EtherCAT device (left: TwinCAT 2; right: TwinCAT 3)
Manual triggering of a device scan on a specified EtherCAT device (left: TwinCAT 2; right: TwinCAT 3)
In the System Manager (TwinCAT 2) or the User Interface (TwinCAT 3) the scan process can be monitored via the progress bar at the bottom in the status bar.
Scan progressexemplary by TwinCAT 2
The configuration is established and can then be switched to online state (OPERATIONAL).
Config/FreeRun query (left: TwinCAT 2; right: TwinCAT 3)
In Config/FreeRun mode the System Manager display alternates between blue and red, and the EtherCAT device continues to operate with the idling cycle time of 4 ms (default setting), even without active task (NC, PLC).
Displaying of “Free Run” and “Config Mode” toggling right below in the status bar
TwinCAT can also be switched to this state by using a button (left: TwinCAT 2; right: TwinCAT 3)
The EtherCAT system should then be in a functional cyclic state, as shown in Fig. Online display example.
Online display example
Please note:
▪
all slaves should be in OP state
▪
the EtherCAT master should be in “Actual State” OP
▪
“frames/sec” should match the cycle time taking into account the sent number of frames
▪
no excessive “LostFrames” or CRC errors should occur
The configuration is now complete. It can be modified as described under manual procedure.
Troubleshooting
Various effects may occur during scanning.
▪
An unknown device is detected, i.e. an EtherCAT slave for which no ESI XML description is available.
In this case the System Manager offers to read any ESI that may be stored in the device. This case is described in the chapter “Notes regarding ESI device description”.
▪
Device are not detected properly
Possible reasons include:
–
faulty data links, resulting in data loss during the scan
–
slave has invalid device description
The connections and devices should be checked in a targeted manner, e.g. via the emergency scan.
Then re-run the scan.
Faulty identification
In the System Manager such devices may be set up as EK0000 or unknown devices. Operation is not possible or meaningful.
Scan over existing Configuration
Note
Change of the configuration after comparison
With this scan (TwinCAT 2.11 or 3.1) only the device properties vendor (manufacturer), device name and revision are compared at present! A “ChangeTo” or “Copy” should only be carried out with care, taking into consideration the Beckhoff IO compatibility rule (see above). The device configuration is then replaced by the revision found; this can affect the supported process data and functions.
If a scan is initiated for an existing configuration, the actual I/O environment may match the configuration exactly or it may differ. This enables the configuration to be compared.
Identical configuration (left: TwinCAT 2; right: TwinCAT 3)
If differences are detected, they are shown in the correction dialog, so that the user can modify the configuration as required.
Correction dialog
It is advisable to tick the “Extended Information” check box to reveal differences in the revision.
Color
Explanation
green
This EtherCAT slave matches the entry on the other side. Both type and revision match.
blue
This EtherCAT slave is present on the other side, but in a different revision. This other revision can have other default values for the process data as well as other/additional functions.
If the found revision is higher than the configured revision, the slave may be used provided compatibility issues are taken into account.
If the found revision is lower than the configured revision, it is likely that the slave cannot be used. The found device may not support all functions that the master expects based on the higher revision number.
light blue
This EtherCAT slave is ignored (“Ignore” button)
red
▪
This EtherCAT slave is not present on the other side.
▪
It is present, but in a different revision, which also differs in its properties from the one specified.
The compatibility principle then also applies here: if the found revision is higher than the configured revision, use is possible provided compatibility issues are taken into account, since the successor devices should support the functions of the predecessor devices.
If the found revision is lower than the configured revision, it is likely that the slave cannot be used. The found device may not support all functions that the master expects based on the higher revision number.
Device selection based on revision, compatibility
The ESI description also defines the process image, the communication type between master and slave/device and the device functions, if applicable. The physical device (firmware, if available) has to support the communication queries/settings of the master. This is backward compatible, i.e. newer devices (higher revision) should be supported if the EtherCAT master addresses them as an older revision. The following compatibility rule of thumb is to be assumed for Beckhoff EtherCAT Terminals/ Boxes/ EJ-modules:
device revision in the system >= device revision in the configuration
This also enables subsequent replacement of devices without changing the configuration (different specifications are possible for drives).
Example
If an EL2521-0025-1018 is specified in the configuration, an EL2521-0025-1018 or higher (-1019, -1020) can be used in practice.
Name/revision of the terminal
If current ESI descriptions are available in the TwinCAT system, the last revision offered in the selection dialog matches the Beckhoff state of production. It is recommended to use the last device revision when creating a new configuration, if current Beckhoff devices are used in the real application. Older revisions should only be used if older devices from stock are to be used in the application.
In this case the process image of the device is shown in the configuration tree and can be parameterized as follows: linking with the task, CoE/DC settings, plug-in definition, startup settings, ...
Correction dialog with modifications
Once all modifications have been saved or accepted, click “OK” to transfer them to the real *.tsm configuration.
Change to Compatible Type
TwinCAT offers a function Change to Compatible Type… for the exchange of a device whilst retaining the links in the task.
Dialog “Change to Compatible Type…” (left: TwinCAT 2; right: TwinCAT 3)
This function is preferably to be used on AX5000 devices.
Change to Alternative Type
The TwinCAT System Manager offers a function for the exchange of a device: Change to Alternative Type
TwinCAT 2 Dialog Change to Alternative Type
If called, the System Manager searches in the procured device ESI (in this example: EL1202-0000) for details of compatible devices contained there. The configuration is changed and the ESI-EEPROM is overwritten at the same time – therefore this process is possible only in the online state (ConfigMode).


EtherCAT subscriber configuration

Commissioning [image] TwinCAT Development Environment [image] EtherCAT subscriber configuration
EtherCAT subscriber configuration
In the left-hand window of the TwinCAT 2 System Manager or the Solution Explorer of the TwinCAT 3 Development Environment respectively, click on the element of the terminal within the tree you wish to configure (in the example: EL3751 Terminal 3).
Branch element as terminal EL3751
In the right-hand window of the TwinCAT System Manager (TwinCAT 2) or the Development Environment (TwinCAT 3), various tabs are now available for configuring the terminal. And yet the dimension of complexity of a subscriber determines which tabs are provided. Thus as illustrated in the example above the terminal EL3751 provides many setup options and also a respective number of tabs are available. On the contrary by the terminal EL1004 for example the tabs “General”, “EtherCAT”, “Process Data” and “Online“ are available only. Several terminals, as for instance the EL6695 provide special functions by a tab with its own terminal name, so “EL6695” in this case. A specific tab “Settings” by terminals with a wide range of setup options will be provided also (e.g. EL3751).
“General” tab
“General” tab
Name | Name of the EtherCAT device
Id | Number of the EtherCAT device
Type | EtherCAT device type
Comment | Here you can add a comment (e.g. regarding the system).
Disabled | Here you can deactivate the EtherCAT device.
Create symbols | Access to this EtherCAT slave via ADS is only available if this control box is activated.
“EtherCAT” tab
“EtherCAT” tab
Type | EtherCAT device type
Product/Revision | Product and revision number of the EtherCAT device
Auto Inc Addr. | Auto increment address of the EtherCAT device. The auto increment address can be used for addressing each EtherCAT device in the communication ring through its physical position. Auto increment addressing is used during the start-up phase when the EtherCAT master allocates addresses to the EtherCAT devices. With auto increment addressing the first EtherCAT slave in the ring has the address 0000hex. For each further slave the address is decremented by 1 (FFFFhex, FFFEhex etc.).
EtherCAT Addr. | Fixed address of an EtherCAT slave. This address is allocated by the EtherCAT master during the start-up phase. Tick the control box to the left of the input field in order to modify the default value.
Previous Port | Name and port of the EtherCAT device to which this device is connected. If it is possible to connect this device with another one without changing the order of the EtherCAT devices in the communication ring, then this combination field is activated and the EtherCAT device to which this device is to be connected can be selected.
Advanced Settings | This button opens the dialogs for advanced settings.
The link at the bottom of the tab points to the product page for this EtherCAT device on the web.
“Process Data” tab
Indicates the configuration of the process data. The input and output data of the EtherCAT slave are represented as CANopen process data objects (Process Data Objects, PDOs). The user can select a PDO via PDO assignment and modify the content of the individual PDO via this dialog, if the EtherCAT slave supports this function.
“Process Data” tab
The process data (PDOs) transferred by an EtherCAT slave during each cycle are user data which the application expects to be updated cyclically or which are sent to the slave. To this end the EtherCAT master (Beckhoff TwinCAT) parameterizes each EtherCAT slave during the start-up phase to define which process data (size in bits/bytes, source location, transmission type) it wants to transfer to or from this slave. Incorrect configuration can prevent successful start-up of the slave.
For Beckhoff EtherCAT EL, ES, EM, EJ and EP slaves the following applies in general:
▪
The input/output process data supported by the device are defined by the manufacturer in the ESI/XML description. The TwinCAT EtherCAT Master uses the ESI description to configure the slave correctly.
▪
The process data can be modified in the System Manager. See the device documentation.
Examples of modifications include: mask out a channel, displaying additional cyclic information, 16-bit display instead of 8-bit data size, etc.
▪
In so-called “intelligent” EtherCAT devices the process data information is also stored in the CoE directory. Any changes in the CoE directory that lead to different PDO settings prevent successful startup of the slave. It is not advisable to deviate from the designated process data, because the device firmware (if available) is adapted to these PDO combinations.
If the device documentation allows modification of process data, proceed as follows (see Figure Configuring the process data).
▪
A: select the device to configure
▪
B: in the “Process Data” tab select Input or Output under SyncManager (C)
▪
D: the PDOs can be selected or deselected
▪
H: the new process data are visible as linkable variables in the System Manager
The new process data are active once the configuration has been activated and TwinCAT has been restarted (or the EtherCAT master has been restarted)
▪
E: if a slave supports this, Input and Output PDO can be modified simultaneously by selecting a so-called PDO record (“predefined PDO settings”).
Configuring the process data
Manual modification of the process data
According to the ESI description, a PDO can be identified as “fixed” with the flag “F” in the PDO overview (Fig. Configuring the process data, J). The configuration of such PDOs cannot be changed, even if TwinCAT offers the associated dialog (“Edit”). In particular, CoE content cannot be displayed as cyclic process data. This generally also applies in cases where a device supports download of the PDO configuration, “G”. In case of incorrect configuration the EtherCAT slave usually refuses to start and change to OP state. The System Manager displays an “invalid SM cfg” logger message: This error message (“invalid SM IN cfg” or “invalid SM OUT cfg”) also indicates the reason for the failed start.
A detailed description can be found at the end of this section.
“Startup” tab
The Startup tab is displayed if the EtherCAT slave has a mailbox and supports the CANopen over EtherCAT (CoE) or Servo drive over EtherCAT protocol. This tab indicates which download requests are sent to the mailbox during startup. It is also possible to add new mailbox requests to the list display. The download requests are sent to the slave in the same order as they are shown in the list.
“Startup” tab
Column
Description
Transition
Transition to which the request is sent. This can either be
▪
the transition from pre-operational to safe-operational (PS), or
▪
the transition from safe-operational to operational (SO).
If the transition is enclosed in “<>” (e.g. <PS>), the mailbox request is fixed and cannot be modified or deleted by the user.
Protocol
Type of mailbox protocol
Index
Index of the object
Data
Date on which this object is to be downloaded.
Comment
Description of the request to be sent to the mailbox
Move Up | This button moves the selected request up by one position in the list.
Move Down | This button moves the selected request down by one position in the list.
New | This button adds a new mailbox download request to be sent during startup.
Delete | This button deletes the selected entry.
Edit | This button edits an existing request.
“CoE - Online” tab
The additional CoE - Online tab is displayed if the EtherCAT slave supports the CANopen over EtherCAT (CoE) protocol. This dialog lists the content of the object list of the slave (SDO upload) and enables the user to modify the content of an object from this list. Details for the objects of the individual EtherCAT devices can be found in the device-specific object descriptions.
“CoE - Online” tab
Object list display
Column | Description
Index | Index and sub-index of the object
Name | Name of the object
Flags | RW | The object can be read, and data can be written to the object (read/write)
 | RO | The object can be read, but no data can be written to the object (read only)
 | P | An additional P identifies the object as a process data object.
Value | Value of the object
Update List | The Update list button updates all objects in the displayed list
Auto Update | If this check box is selected, the content of the objects is updated automatically.
Advanced | The Advanced button opens the Advanced Settings dialog. Here you can specify which objects are displayed in the list.
Dialog “Advanced settings”
Online - via SDO Information | If this option button is selected, the list of the objects included in the object list of the slave is uploaded from the slave via SDO information. The list below can be used to specify which object types are to be uploaded.
Offline - via EDS File | If this option button is selected, the list of the objects included in the object list is read from an EDS file provided by the user.
“Online” tab
“Online” tab
State Machine
Init | This button attempts to set the EtherCAT device to the Init state.
Pre-Op | This button attempts to set the EtherCAT device to the pre-operational state.
Op | This button attempts to set the EtherCAT device to the operational state.
Bootstrap | This button attempts to set the EtherCAT device to the Bootstrap state.
Safe-Op | This button attempts to set the EtherCAT device to the safe-operational state.
Clear Error | This button attempts to delete the fault display. If an EtherCAT slave fails during change of state it sets an error flag. Example: An EtherCAT slave is in PREOP state (pre-operational). The master now requests the SAFEOP state (safe-operational). If the slave fails during change of state it sets the error flag. The current state is now displayed as ERR PREOP. When the Clear Error button is pressed the error flag is cleared, and the current state is displayed as PREOP again.
Current State | Indicates the current state of the EtherCAT device.
Requested State | Indicates the state requested for the EtherCAT device.
DLL Status
Indicates the DLL status (data link layer status) of the individual ports of the EtherCAT slave. The DLL status can have four different states:
Status | Description
No Carrier / Open | No carrier signal is available at the port, but the port is open.
No Carrier / Closed | No carrier signal is available at the port, and the port is closed.
Carrier / Open | A carrier signal is available at the port, and the port is open.
Carrier / Closed | A carrier signal is available at the port, but the port is closed.
File Access over EtherCAT
Download | With this button a file can be written to the EtherCAT device.
Upload | With this button a file can be read from the EtherCAT device.
“DC” tab (Distributed Clocks)
“DC” tab (Distributed Clocks)
Operation Mode
Options (optional):
▪
FreeRun
▪
SM-Synchron
▪
DC-Synchron (Input based)
▪
DC-Synchron
Advanced Settings…
Advanced settings for readjustment of the real time determinant TwinCAT-clock
Detailed information to Distributed Clocks is specified on http://infosys.beckhoff.com:
Fieldbus Components → EtherCAT Terminals → EtherCAT System documentation → EtherCAT basics → Distributed Clocks
Additional information
•
Detailed description of Process Data tab


Detailed description of Process Data tab

Commissioning [image] TwinCAT Development Environment [image] EtherCAT subscriber configuration [image] Detailed description of Process Data tab
Detailed description of Process Data tab
Sync Manager
Lists the configuration of the Sync Manager (SM).
If the EtherCAT device has a mailbox, SM0 is used for the mailbox output (MbxOut) and SM1 for the mailbox input (MbxIn).
SM2 is used for the output process data (outputs) and SM3 (inputs) for the input process data.
If an input is selected, the corresponding PDO assignment is displayed in the PDO Assignment list below.
PDO Assignment
PDO assignment of the selected Sync Manager. All PDOs defined for this Sync Manager type are listed here:
▪
If the output Sync Manager (outputs) is selected in the Sync Manager list, all RxPDOs are displayed.
▪
If the input Sync Manager (inputs) is selected in the Sync Manager list, all TxPDOs are displayed.
The selected entries are the PDOs involved in the process data transfer. In the tree diagram of the System Manager these PDOs are displayed as variables of the EtherCAT device. The name of the variable is identical to the Name parameter of the PDO, as displayed in the PDO list. If an entry in the PDO assignment list is deactivated (not selected and greyed out), this indicates that the input is excluded from the PDO assignment. In order to be able to select a greyed out PDO, the currently selected PDO has to be deselected first.
Activation of PDO assignment
✓
If you have changed the PDO assignment, in order to activate the new PDO assignment,
1.
the EtherCAT slave has to run through the PS status transition cycle (from pre-operational to safe-operational) once (see Online tab),
2.
and the System Manager has to reload the EtherCAT slaves
( [image] button for TwinCAT 2 or [image] button for TwinCAT 3)
PDO list
List of all PDOs supported by this EtherCAT device. The content of the selected PDOs is displayed in the PDO Content list. The PDO configuration can be modified by double-clicking on an entry.
Column | Description
Index | PDO index.
Size | Size of the PDO in bytes.
Name | Name of the PDO. If this PDO is assigned to a Sync Manager, it appears as a variable of the slave with this parameter as the name.
Flags | F | Fixed content: The content of this PDO is fixed and cannot be changed by the System Manager.
 | M | Mandatory PDO. This PDO is mandatory and must therefore be assigned to a Sync Manager! Consequently, this PDO cannot be deleted from the PDO Assignment list
SM | Sync Manager to which this PDO is assigned. If this entry is empty, this PDO does not take part in the process data traffic.
SU | Sync unit to which this PDO is assigned.
PDO Content
Indicates the content of the PDO. If flag F (fixed content) of the PDO is not set the content can be modified.
Download
If the device is intelligent and has a mailbox, the configuration of the PDO and the PDO assignments can be downloaded to the device. This is an optional feature that is not supported by all EtherCAT slaves.
PDO Assignment
If this check box is selected, the PDO assignment that is configured in the PDO Assignment list is downloaded to the device on startup. The required commands to be sent to the device can be viewed in the Startup tab.
PDO Configuration
If this check box is selected, the configuration of the respective PDOs (as shown in the PDO list and the PDO Content display) is downloaded to the EtherCAT slave.


General Notes - EtherCAT Slave Application

Commissioning [image] General Notes - EtherCAT Slave Application
General Notes - EtherCAT Slave Application
This summary briefly deals with a number of aspects of EtherCAT Slave operation under TwinCAT. More detailed information on this may be found in the corresponding sections of, for instance, the EtherCAT System Documentation.
Diagnosis in real time: WorkingCounter, EtherCAT State and Status
Generally speaking an EtherCAT Slave provides a variety of diagnostic information that can be used by the controlling task.
This diagnostic information relates to differing levels of communication. It therefore has a variety of sources, and is also updated at various times.
Any application that relies on I/O data from a fieldbus being correct and up to date must make diagnostic access to the corresponding underlying layers. EtherCAT and the TwinCAT System Manager offer comprehensive diagnostic elements of this kind. Those diagnostic elements that are helpful to the controlling task for diagnosis that is accurate for the current cycle when in operation (not during commissioning) are discussed below.
Selection of the diagnostic information of an EtherCAT Slave
In general, an EtherCAT Slave offers
▪
communication diagnosis typical for a slave (diagnosis of successful participation in the exchange of process data, and correct operating mode)
This diagnosis is the same for all slaves.

as well as
▪
function diagnosis typical for a channel (device-dependent)
See the corresponding device documentation
The colors in Fig. Selection of the diagnostic information of an EtherCAT Slave also correspond to the variable colors in the System Manager, see Fig. Basic EtherCAT Slave Diagnosis in the PLC.
Colour | Meaning
yellow | Input variables from the Slave to the EtherCAT Master, updated in every cycle
red | Output variables from the Slave to the EtherCAT Master, updated in every cycle
green | Information variables for the EtherCAT Master that are updated acyclically. This means that it is possible that in any particular cycle they do not represent the latest possible status. It is therefore useful to read such variables through ADS.
Fig. Basic EtherCAT Slave Diagnosis in the PLC shows an example of an implementation of basic EtherCAT Slave Diagnosis. A Beckhoff EL3102 (2-channel analogue input terminal) is used here, as it offers both the communication diagnosis typical of a slave and the functional diagnosis that is specific to a channel. Structures are created as input variables in the PLC, each corresponding to the process image.
Basic EtherCAT Slave Diagnosis in the PLC
The following aspects are covered here:
Code
Function
Implementation
Application/evaluation
A
The EtherCAT Master's diagnostic information
updated acyclically (yellow) or provided acyclically (green).
At least the DevState is to be evaluated for the most recent cycle in the PLC.
The EtherCAT Master's diagnostic information offers many more possibilities than are treated in the EtherCAT System Documentation. A few keywords:
▪
CoE in the Master for communication with/through the Slaves
▪
Functions from TcEtherCAT.lib
▪
Perform an OnlineScan
B
In the example chosen (EL3102) the EL3102 comprises two analogue input channels that transmit a single function status for the most recent cycle.
Status
▪
the bit significations may be found in the device documentation
▪
other devices may supply more information, or none that is typical of a slave
In order for the higher-level PLC task (or corresponding control applications) to be able to rely on correct data, the function status must be evaluated there. Such information is therefore provided with the process data for the most recent cycle.
C
For every EtherCAT Slave that has cyclic process data, the Master displays, using what is known as a WorkingCounter, whether the slave is participating successfully and without error in the cyclic exchange of process data. This important, elementary information is therefore provided for the most recent cycle in the System Manager
1.
at the EtherCAT Slave, and, with identical contents
2.
as a collective variable at the EtherCAT Master (see Point A)
for linking.
WcState (Working Counter)
0: valid real-time communication in the last cycle
1: invalid real-time communication
This may possibly have effects on the process data of other Slaves that are located in the same SyncUnit
In order for the higher-level PLC task (or corresponding control applications) to be able to rely on correct data, the communication status of the EtherCAT Slave must be evaluated there. Such information is therefore provided with the process data for the most recent cycle.
D
Diagnostic information of the EtherCAT Master which, while it is represented at the slave for linking, is actually determined by the Master for the Slave concerned and represented there. This information cannot be characterized as real-time, because it
▪
is only rarely/never changed, except when the system starts up
▪
is itself determined acyclically (e.g. EtherCAT Status)
State
current Status (INIT..OP) of the Slave. The Slave must be in OP (=8) when operating normally.
AdsAddr
The ADS address is useful for communicating from the PLC/task via ADS with the EtherCAT Slave, e.g. for reading/writing to the CoE. The AMS-NetID of a slave corresponds to the AMS-NetID of the EtherCAT Master; communication with the individual Slave is possible via the port (= EtherCAT address).
Information variables for the EtherCAT Master that are updated acyclically. This means that it is possible that in any particular cycle they do not represent the latest possible status. It is therefore possible to read such variables through ADS.
Note
Diagnostic information
It is strongly recommended that the diagnostic information made available is evaluated so that the application can react accordingly.
CoE Parameter Directory
The CoE parameter directory (CanOpen-over-EtherCAT) is used to manage the set values for the slave concerned. Changes may, in some circumstances, have to be made here when commissioning a relatively complex EtherCAT Slave. It can be accessed through the TwinCAT System Manager, see Fig. EL3102, CoE directory:
EL3102, CoE directory
EtherCAT System Documentation
The comprehensive description in the EtherCAT System Documentation (EtherCAT Basics --> CoE Interface) must be observed!
A few brief extracts:
▪
Whether changes in the online directory are saved locally in the slave depends on the device. EL terminals (except the EL66xx) are able to save in this way.
▪
The user must manage the changes to the StartUp list.
Commissioning aid in the TwinCAT System Manager
Commissioning interfaces are being introduced as part of an ongoing process for EL/EP EtherCAT devices. These are available in TwinCAT System Managers from TwinCAT 2.11R2 and above. They are integrated into the System Manager through appropriately extended ESI configuration files.
Example of commissioning aid for a EL3204
This commissioning process simultaneously manages
▪
CoE Parameter Directory
▪
DC/FreeRun mode
▪
the available process data records (PDO)
Although the “Process Data”, “DC”, “Startup” and “CoE-Online” that used to be necessary for this are still displayed, it is recommended that, if the commissioning aid is used, the automatically generated settings are not changed by it.
The commissioning tool does not cover every possible application of an EL/EP device. If the available setting options are not adequate, the user can make the DC, PDO and CoE settings manually, as in the past.
EtherCAT State: automatic default behaviour of the TwinCAT System Manager and manual operation
After the operating power is switched on, an EtherCAT Slave must go through the following statuses
▪
INIT
▪
PREOP
▪
SAFEOP
▪
OP
to ensure sound operation. The EtherCAT Master directs these statuses in accordance with the initialization routines that are defined for commissioning the device by the ES/XML and user settings (Distributed Clocks (DC), PDO, CoE). See also the section on "Principles of Communication, EtherCAT State Machine" in this connection. Depending how much configuration has to be done, and on the overall communication, booting can take up to a few seconds.
The EtherCAT Master itself must go through these routines when starting, until it has reached at least the OP target state.
The target state wanted by the user, and which is brought about automatically at start-up by TwinCAT, can be set in the System Manager. As soon as TwinCAT reaches the status RUN, the TwinCAT EtherCAT Master will approach the target states.
Standard setting
The advanced settings of the EtherCAT Master are set as standard:
▪
EtherCAT Master: OP
▪
Slaves: OP
This setting applies equally to all Slaves.
Default behaviour of the System Manager
In addition, the target state of any particular Slave can be set in the “Advanced Settings” dialogue; the standard setting is again OP.
Default target state in the Slave
Manual Control
There are particular reasons why it may be appropriate to control the states from the application/task/PLC. For instance:
▪
for diagnostic reasons
▪
to induce a controlled restart of axes
▪
because a change in the times involved in starting is desirable
In that case it is appropriate in the PLC application to use the PLC function blocks from the TcEtherCAT.lib, which is available as standard, and to work through the states in a controlled manner using, for instance, FB_EcSetMasterState.
It is then useful to put the settings in the EtherCAT Master to INIT for master and slave.
PLC function blocks
Note regarding E-Bus current
EL/ES terminals are placed on the DIN rail at a coupler on the terminal strand. A Bus Coupler can supply the EL terminals added to it with the E-bus system voltage of 5 V; a coupler is thereby loadable up to 2 A as a rule. Information on how much current each EL terminal requires from the E-bus supply is available online and in the catalogue. If the added terminals require more current than the coupler can supply, then power feed terminals (e.g. EL9410) must be inserted at appropriate places in the terminal strand.
The pre-calculated theoretical maximum E-Bus current is displayed in the TwinCAT System Manager as a column value. A shortfall is marked by a negative total amount and an exclamation mark; a power feed terminal is to be placed before such a position.
Illegally exceeding the E-Bus current
From TwinCAT 2.11 and above, a warning message “E-Bus Power of Terminal...” is output in the logger window when such a configuration is activated:
Warning message for exceeding E-Bus current
Note
Caution! Malfunction possible!
The same ground potential must be used for the E-Bus supply of all EtherCAT terminals in a terminal block!


Short guide to commissioning

Commissioning [image] Short guide to commissioning
Short guide to commissioning
If an EL40xx is built into the TwinCAT configuration, the possible output channels appear depending on the terminal, e.g. in this case the EL4038:
Process data of the EL4038
In the case of the EL4038, 8 sets of real-time process data exist (red), one for each output channel.
The channel variables "Analog output" are of the type INT, i.e. 16-bit with sign, including in the case of the unipolar output terminals 0…10 V, 0/4…20 mA.
Display of the variable size, taking "AO Outputs Channel 1" as an example
The channel variables must be linked with the corresponding variables on the program side for operation. Linked variables are marked by an arrow (see figure below).
Display of the linked variables in the TwinCAT tree
Once this has taken place and the TwinCAT configuration is activated, the EL40xx already electrically outputs the corresponding analog values.
The output is then cyclically written from the controller, here for example with a voltage ramp for testing:
Output of the analog values, taking a voltage ramp as an example
The basic commissioning is thus completed.


Overview of process data (PDO)

Commissioning [image] Overview of process data (PDO)
Overview of process data (PDO)
The EL40xx terminals have a static process image that cannot be changed. Depending on the terminal, "Analog output" channels 1…8 are offered for linking.
EL40x8 - process data
No channels can be deselected.
Description of the PDOs of the EL40xx terminals
Direction | PDO | PDO name | Real-time behavior | Data type | CoE Index | Default value | Meaning
Output (from the controller) | AO Outputs Channel n | Analog output | Real-time: cyclically transmitted PDO | INT16 (16-bit signed) | 0x160n | 0 | Setpoint of the analog output
Input (to the controller) | WcState | WcState | Non-real-time: is not transmitted by the EtherCAT slave, but shown for this EtherCAT slave by the EtherCAT master and displays diagnostic information | BIT | - | 0 | Cyclic checking of the EtherCAT data exchange. Should be "0".
 | InfoData | State |  | UINT16 | - | 0 | State of the EtherCAT slave. Is "8" in normal operation
 |  | AdsAddr |  | 8-byte structure | - | variable | ADS address under which this EtherCAT slave is reachable in the TwinCAT system for acyclic communication, e.g. to the CoE


Basic Function Principles

Commissioning [image] Basic Function Principles
Basic Function Principles
The basic function and possible settings of the EL40xx are described below.
Superordinate notes can be found in the system description.
Additional information
•
Changing the slave parameters in the CoE directory
•
Block diagram for determining the output values
•
Calculation of the output values


Changing the slave parameters in the CoE directory

Commissioning [image] Basic Function Principles [image] Changing the slave parameters in the CoE directory
Changing the slave parameters in the CoE directory
During commissioning it may be necessary to change the CoE parameters. The CoE parameters (CAN over EtherCAT) can be changed in the "CoE-Online" tab of the EtherCAT slave.
Online access:
The terminal is really addressable on the bus. The real CoE directory from the terminal is displayed. Some objects in it are writable and can be changed. Here is the image from the EL4038 from the commissioning example:
Access to the CoE parameters in the TwinCAT System Manager, Online
In particular, the objects 0x80n0 (n stands for the channel, n = 0,1,2,3 ...) are accessible for setting. The changed values are stored fail-safe in the terminal.
Offline description:
If the terminal is not really addressable on the bus, only the so-called offline description of the CoE directory is displayed. This offline description is included in the ESI description (XML) for precisely this purpose. The parameters cannot be changed, but they can be used to define startup commands, for example.
Access to the CoE parameters in the TwinCAT System Manager, Offline
Note
Changes in the CoE directory, in the case of exchange
So that, in the case of exchanging an EtherCAT slave, the CoE parameters are set correctly in the new slave, changes on the customer side must be entered in the start-up list.
Note
Changes in the CoE directory, program access
The CoE parameters can also be read and written during operation (insofar as it makes sense) by the PLC using corresponding control commands.
Note that CoE settings are usually stored in the slave. Each change results in a save procedure. The memory in the device has a limited electrical lifespan of, for example, a few 100,000 save procedures.
If you want to change settings repeatedly over a long period of time, use the NoCoeStorage function.
If this is not available in the respective device, it must be expected that the memory will fail in the long term.


Block diagram for determining the output values

Commissioning [image] Basic Function Principles [image] Block diagram for determining the output values
Block diagram for determining the output values
Block diagram for calculating the output values
Initial default setting of the EL40xx:
Function | Default setting | Explanation
Watchdog | 0x80n0:05 = Default watchdog value (0) | The default value in index 0x80n0:13 is active
Presentation | 0x80n0:02 = Signed presentation (0) | Presentation in two's complement
User Scale | 0x80n0:01 = FALSE | The user scaling is disabled
Vendor calibration | 0x80n0:08 = TRUE | The vendor calibration is enabled
User calibration | 0x80n0:07 = FALSE | The user calibration is enabled
Further setting options for the above parameters are explained in more detail below.
No simultaneous enablement of vendor and user calibration
Only the vendor calibration (0x80n0:08 "Enable vendor calibration") or
the user calibration (0x80n0:01 "Enable user calibration") may be enabled.


Calculation of the output values

Commissioning [image] Basic Function Principles [image] Calculation of the output values
Calculation of the output values
Term "calibration"
The term "calibration", which is rooted in history at Beckhoff, is used here for the calibration data, even if it has nothing to do with deviation statements of a calibration certificate. In fact, this describes the vendor or customer calibration/adjustment data that the device uses during operation in order to maintain the output accuracy.
The terminal continuously accepts the setpoints from the EtherCAT process data, converts them according to the settings and passes them on to the internal DAC (digital-analog converter), which forms the electrical output signal. See the block diagram.
Additional information
•
Presentation function
•
Gain/Offset function
•
Watchdog function


Presentation function

Commissioning [image] Basic Function Principles [image] Calculation of the output values [image] Presentation function
Presentation function
Block diagram for determining the output values by default (presentation function)
The presentation function block according to index 0x80x0:02 converts the PDO value into the internal SINT16 format (signed integer, 16-bit) for further calculation and DAC output, depending on the setting. Depending on the presentation selected, the following applies:
Signed presentation (default setting)
▪
A SINT16 with sign in the highest bit (bit15) is expected,
negative numbers are displayed in two's complement.
▪
Ys1 = Ys
▪
Full scale value (FSV) = 32767
▪
This means specifically for the terminals
Output signal |  |  | Value
EL400x | EL401x | EL402x | Decimal | Hexadecimal
0 V | 0 mA | 4 mA | 0 | 0x0000
5 V | 10 mA | 12 mA | 16383 | 0x3FFF
10 V | 20 mA | 20 mA | 32767 | 0x7FFF
Output signal | Value
EL403x | Decimal | Hexadecimal
-10 V | -32767 | 0x8001
-5 V | -16383 | 0xC001
0 V | 0 | 0x0000
5 V | 16383 | 0x3FFF
10 V | 32767 | 0x7FFF
Unsigned presentation
▪
A UINT16 without sign is expected, FSV= 65535,
▪
the SINT16 is formed for further processing: Ys1 = Ys / 2
▪
Negative output values are no longer possible.
Absolute value with MSB as sign
▪
A SINT16 with sign in the highest bit (bit15) is expected,
negative numbers are shown as absolute values (not in two's complement)
▪
Ys1 = Ys
▪
FSV = 32767
Absolute value
▪
A SINT16 with sign is expected,
negative numbers are displayed in two's complement
▪
in the case of a negative number, its magnitude is formed and thus only positive values
up to 215 = 32767 are processed.
Examples of the presentations
▪
Signed Integer:
The output value is presented in two's complement format.
Maximum presentation range for 16 bit = -32768 .. +32767
–
Example:
1000 0000 0000 0000bin = 0x8000hex = - 32768dec
1111 1111 1111 1110bin = 0xFFFEhex = - 2dec
1111 1111 1111 1111bin = 0xFFFFhex = - 1dec
0000 0000 0000 0001bin = 0x0001hex = +1dec
0000 0000 0000 0010bin = 0x0002hex = +2dec
0111 1111 1111 1111bin = 0x7FFFhex = +32767dec
▪
Unsigned Integer:
The output value is shown with 16 bit resolution.
▪
Absolute value with MSB as sign:
The output value is displayed in signed amount representation.
Maximum presentation range for 16 bit = -32767 .. +32767
–
Example:
1111 1111 1111 1111bin = 0xFFFFhex = - 32767dec
1000 0000 0000 0010bin = 0x8002hex = - 2dec
1000 0000 0000 0001bin = 0x8001hex = - 1dec
0000 0000 0000 0001bin = 0x0001hex = +1dec
0000 0000 0000 0010bin = 0x0002hex = +2dec
0111 1111 1111 1111bin = 0x7FFFhex = +32767dec
▪
Absolute value
Negative output values are shown positive (absolute value)


Gain/Offset function

Commissioning [image] Basic Function Principles [image] Calculation of the output values [image] Gain/Offset function
Gain/Offset function
Block diagram for determining the output values by default (Gain/Offset function)
Gain/Offset function
The terminal is compared to the vendor calibration data by the vendor in order to achieve the specified output accuracy. The vendor calibration data are password protected and cannot be changed.
If manipulation of the output value is necessary on the system side,
▪
the User Scale with gain/offset should first be used,
▪
or the user can store some calibration data in the terminal. The User Scale can then also function for this purpose.
See also the block diagram.
With:
Gainscale | = 0x80n0:12 | UserScale Gain
Offsetscale | = 0x80n0:11 | UserScale Offset
Gainuser | = 0x80n0:16 | UserCalibration Gain
Offsetuser | = 0x80n0:15 | UserCalibration Offset (with the bipolar EL403x terminals 0x800 = 2048dec to be added)
Gainvendor | = 0x80nF:02 | VendorCalibration Gain
Offsetvendor | = 0x80nF:01 | VendorCalibration Offset
XDAC | = 0x80nE:01 | DAC Raw Value
Ys | EtherCAT PDO setpoint
Is the influence of the scaling:
User scaling enabled: | Ysc = Ys1 * Gainscale*2-16 + Offsetscale
User scaling disabled: | Ysc = Ys1
And the influence on the calibration values:
Vendor calibration enabled: | XDAC = Ysc * Gainvendor *2 -16 + Offsetvendor
User calibration enabled: | XDAC = Ysc * Gainuser *2- 20 + Offsetuser
No calibration enabled: | XDAC = Ysc
No simultaneous enablement of vendor and user calibration
Only the vendor calibration (0x80n0:08 "Enable vendor calibration") or
the user calibration (0x80n0:01 "Enable user calibration") may be enabled.


Watchdog function

Commissioning [image] Basic Function Principles [image] Calculation of the output values [image] Watchdog function
Watchdog function
Block diagram for determining the output values (Watchdog function)
Watchdog function, Index 0x80n0:05
The EL40xx terminals are equipped with a safety device (watchdog) that switches the outputs to a defined state, for example in case of interrupted process data traffic.
The procedure is as follows:
▪
As long as the terminal is properly and regularly supplied with EtherCAT process data, it outputs them. The so-called watchdog observes this without further action; they say "it is being brought up".
▪
As soon as the data stop arriving, the output value remains at the last value. The watchdog now starts to run down. If data arrive again in time, the watchdog returns to the starting value.
▪
If it has expired, i.e. the set time has elapsed without new data arriving, the substitute value is output.
▪
As soon as new data arrive, they are output again and the watchdog observes anew.
The following settings can be made for the substitute value in index 0x80n0:05:
▪
"Default watchdog value":
The analog output value is set to a user-specific value. This must have been stored in "Default output" (index 0x80n0:13) beforehand and is then output in the watchdog case.
This is the default setting with "Default output" = 0. In the watchdog case, a terminal operated in this way outputs 0.
▪
"Watchdog ramp":
The user-specific value "Default output" is approached from the last valid output value as a linear ramp over a predetermined time. This time is entered via "Default output ramp" (index 0x80n0:14) in digits/ms.
▪
"Last output value"
With this setting, the last valid output value is retained.
Note
General information on watchdog settings
Observe the general notes on the watchdog setting.


Fast mode

Commissioning [image] Fast mode
Fast mode
The Fast mode in Beckhoff EtherCAT Terminals has developed historically and is an operating mode with which EL Terminals, primarily the EL31xx and EL41xx groups (analog input/output terminals), can be operated with a considerably faster conversion time. Hence, an analog input value can be converted more quickly/more often or output via the controller accordingly. This is achieved at the expense of other features, therefore consideration is required.
If an EL Terminal supports this mode, this is indicated in the relevant documentation.
There are 2 groups of terminals that support the FastMode:
▪
Prototypes of EL31x2 and EL41x2, with product launch before 2009:
You can switch the two-channel analog input and output terminals into Fast Mode by switching off the second channel. When operating with a single channel (Fast Mode) the terminal's conversion time is about one third less than it is when operating two channels. You can find the precise figures for the conversion times in single-channel and two-channel operation in the technical data for the each particular terminal.
▪
EL31xx and EL41xx from year of manufacture 2009
CoE access can be deactivated in these terminals (if this is possible according to the documentation). All existing channels can convert faster as a result of this.
In EL31x2 terminals the Fast mode is automatic enabled but disabled for CoE access.
Here is an example for each group.
FastMode by means of channel deactivation
Example 1
You can switch the second input channel on and off on the Process data tab of the EL3101 under PDO assignment with the aid of the check box (see the red arrow).
Switch input channel on and off
Example 2
You can switch the second output channel on and off on the Process data tab of the EL4101 under PDO assignment with the aid of the check box (see the red arrow).
Switch output channel on and off
FastMode by means of CoE deactivation
To disable CoE support for input terminals, a
must be entered in the StartUp list in the System Manager for the terminal. This deactivates the CoE later in SAFEOP and OP.
FastMode is activated by the entry "0x80nn" in the "Sync mode" object, while "nn" specifies the synchronization mode.
Filter deactivation for input terminals
If FastMode is enabled, filter mode (0x80n0:06) must be disabled!
CoE deactivation for output terminals
For output terminals the upper entry must be implemented for the object 0x1C32:01.
More generally, the mailbox traffic of this terminal is turned off by this FastMode.
The CoE access can be reactivated by writing the original value or, for example, x00 in the PREOP phase after CoE 0x1C32:01 or 0x1C33:01. See the entries in the synchronization mode overview regarding this.


EL4x1x, EL4x2x current output

Commissioning [image] EL4x1x, EL4x2x current output
EL4x1x, EL4x2x current output
The load capacity of the EL4xxx current outputs is subject to specified operational limits. This information is provided as "max. load" in the technical data. For each channel this is the maximum load resistance against which the terminal can still provide the maximum possible output current. The relevant parameter is the number of available channels for each terminal (not the number of channels in use).
Number of channels | max. load | Characteristic | max. output voltage at max. load | typ. max. open circuit voltage without load
2 | < 500 Ω | short-circuit-proof | 10 V | approx. 14 V
4 | < 350 Ω | short-circuit-proof | 7 V | approx. 10 V
8 | < 150 Ω | - | 3 V | approx. 6 V
A channel can be operated at higher load resistances, although it will then no longer reach its full output current and be subject to overload.
Operation with higher load
Operation outside the operating range for the respective number of channels according to the diagrams below is not recommended. If the process value specification results in operation outside this range, the output stage may become damaged.
Permitted operating range for EL4xx2 current outputs
Permitted operating range for EL4xx4 current outputs
Permitted operating range for EL4xx8 current outputs
Parallel connection
The current outputs of the EL4xxx devices can be connected in parallel to a load if the load has a current requirement higher than 20mA. All GND must be connected together. Channels of one terminal, but also channels of several terminals can be used for this purpose.
When designing the layout, it must be noted that Ohm's law still applies: U = R*I. If, for example, a channel with 10V can drive its 20mA through a 500 Ohm load (see specifications in the previous chapter), the load may only be 250 Ohm if 2 * 20mA are to be output with 2 parallel connected channels of 10V each - because the output voltage of the channels does not increase due to the parallel connection.


Notices on analog specifications

Commissioning [image] Notices on analog specifications
Notices on analog specifications
Beckhoff I/O devices (terminals, boxes, modules) with analog inputs are characterized by a number of technical characteristic data; refer to the technical data in the respective documents.
Some explanations are given below for the correct interpretation of these characteristic data.
Additional information
•
Full scale value (FSV)
•
Measuring error/ measurement deviation
•
Temperature coefficient tK [ppm/K]
•
Single-ended/differential typification
•
Common-mode voltage and reference ground (based on differential inputs)
•
Dielectric strength
•
Temporal aspects of analog/digital conversion


Full scale value (FSV)

Commissioning [image] Notices on analog specifications [image] Full scale value (FSV)
Full scale value (FSV)
An I/O device with an analog input measures over a nominal measuring range that is limited by an upper and a lower limit (initial value and end value); these can usually be taken from the device designation.
The range between the two limits is called the measuring span and corresponds to the equation (end value - initial value). Analogous to pointing devices this is the measuring scale (see IEC 61131) or also the dynamic range.
For analog I/O devices from Beckhoff the rule is that the limit with the largest value is chosen as the full scale value of the respective product (also called the reference value) and is given a positive sign. This applies to both symmetrical and asymmetrical measuring spans.
Full scale value, measuring span
For the above examples this means:
▪
Measuring range 0...10 V: asymmetric unipolar, full scale value = 10 V, measuring span = 10 V
▪
Measuring range 4...20 mA: asymmetric unipolar, full scale value = 20 mA, measuring span = 16 mA
▪
Measuring range -200...1370°C: asymmetric bipolar, full scale value = 1370°C, measuring span = 1570°C
▪
Measuring range -10...+10 V: symmetric bipolar, full scale value = 10 V, measuring span = 20 V
This applies to analog output terminals/ boxes (and related Beckhoff product groups).


Measuring error/ measurement deviation

Commissioning [image] Notices on analog specifications [image] Measuring error/ measurement deviation
Measuring error/ measurement deviation
The relative measuring error (% of the full scale value) is referenced to the full scale value and is calculated as the quotient of the largest numerical deviation from the true value (‘measuring error’) referenced to the full scale value.
The measuring error is generally valid for the entire permitted operating temperature range, also called the ‘usage error limit’ and contains random and systematic portions of the referred device (i.e. ‘all’ influences such as temperature, inherent noise, aging, etc.).
It is always to be regarded as a positive/negative span with ±, even if it is specified without ± in some cases.
The maximum deviation can also be specified directly.
Example: Measuring range 0...10 V and measuring error < ± 0.3 % full scale value → maximum deviation ± 30 mV in the permissible operating temperature range.
Lower measuring error
Since this specification also includes the temperature drift, a significantly lower measuring error can usually be assumed in case of a constant ambient temperature of the device and thermal stabilization after a user calibration.
This applies to analog output devices.


Temperature coefficient tK [ppm/K]

Commissioning [image] Notices on analog specifications [image] Temperature coefficient tK [ppm/K]
Temperature coefficient tK [ppm/K]
An electronic circuit is usually temperature dependent to a greater or lesser degree. In analog measurement technology this means that when a measured value is determined by means of an electronic circuit, its deviation from the “true” value is reproducibly dependent on the ambient/operating temperature.
A manufacturer can alleviate this by using components of a higher quality or by software means.
The temperature coefficient, when indicated, specified by Beckhoff allows the user to calculate the expected measuring error outside the basic accuracy at 23 °C.
Due to the extensive uncertainty considerations that are incorporated in the determination of the basic accuracy (at 23 °C), Beckhoff recommends a quadratic summation.
Example: Let the basic accuracy at 23 °C be ±0.01% typ. (full scale value), tK = 20 ppm/K typ.; the accuracy A35 at 35 °C is wanted, hence ΔT = 12 K
General information about the measuring error_formula_en.png
Remarks:
ppm ≙ 10-6
% ≙ 10-2


Single-ended/differential typification

Commissioning [image] Notices on analog specifications [image] Single-ended/differential typification
Single-ended/differential typification
For analog inputs Beckhoff makes a basic distinction between two types: single-ended (SE) and differential (DIFF), referring to the difference in electrical connection with regard to the potential difference.
The diagram shows two-channel versions of an SE module and a DIFF module as examples for all multi-channel versions.
SE and DIFF module as 2-channel version
Note: Dashed lines indicate that the respective connection may not necessarily be present in each SE or DIFF module. Electrical isolated channels are operating as differential type in general, hence there is no direct relation (voltaic) to ground within the module established at all. Indeed, specified information to recommended and maximum voltage levels have to be taken into account.
The basic rule:
▪
Analog measurements always take the form of voltage measurements between two potential points.
For voltage measurements a large R is used, in order to ensure a high impedance. For current measurements a small R is used as shunt. If the purpose is resistance measurement, corresponding considerations are applied.
–
Beckhoff generally refers to these two points as input+/signal potential and input-/reference potential.
–
For measurements between two potential points two potentials have to be supplied.
–
Regarding the terms “single-wire connection” or “three-wire connection”, please note the following for pure analog measurements: three- or four-wire connections can be used for sensor supply, but are not involved in the actual analog measurement, which always takes place between two potentials/wires.
In particular this also applies to SE, even though the term suggest that only one wire is required.
▪
The term “electrical isolation” should be clarified in advance.
Beckhoff IO modules feature 1..8 or more analog channels; with regard to the channel connection a distinction is made in terms of:
–
how the channels WITHIN a module relate to each other, or
–
how the channels of SEVERAL modules relate to each other.

The property of electrical isolation indicates whether the channels are directly connected to each other.
–
Beckhoff terminals/ boxes (and related product groups) always feature electrical isolation between the field/analog side and the bus/EtherCAT side. In other words, if two analog terminals/ boxes are not connected via the power contacts (cable), the modules are effectively electrically isolated.
–
If channels within a module are electrically isolated, or if a single-channel module has no power contacts, the channels are effectively always differential. See also explanatory notes below. Differential channels are not necessarily electrically isolated.
▪
Analog measuring channels are subject to technical limits, both in terms of the recommended operating range (continuous operation) and the destruction limit. Please refer to the respective terminal/ box documentation for further details.
Explanation
▪
differential (DIFF)
–
Differential measurement is the most flexible concept. The user can freely choose both connection points, input+/signal potential and input-/reference potential, within the framework of the technical specification.
–
A differential channel can also be operated as SE, if the reference potential of several sensors is linked. This interconnection may take place via the system GND.
–
Since a differential channel is configured symmetrically internally (cf. Fig. SE and DIFF module as 2-channel variant), there will be a mid-potential (X) between the two supplied potentials that is the same as the internal ground/reference ground for this channel. If several DIFF channels are used in a module without electrical isolation, the technical property VCM (common-mode voltage) indicates the degree to which the mean voltage of the channels may differ.
–
The internal reference ground may be accessible as connection point at the terminal/ box, in order to stabilize a defined GND potential in the terminal/ box. In this case it is particularly important to pay attention to the quality of this potential (noiselessness, voltage stability). At this GND point a wire may be connected to make sure that VCM,max is not exceeded in the differential sensor cable.
If differential channels are not electrically isolated, usually only one VCM, max is permitted. If the channels are electrically isolated this limit should not apply, and the channels voltages may differ up to the specified separation limit.
–
Differential measurement in combination with correct sensor wiring has the special advantage that any interference affecting the sensor cable (ideally the feed and return line are arranged side by side, so that interference signals have the same effect on both wires) has very little effect on the measurement, since the potential of both lines varies jointly (hence the term common mode). In simple terms: Common-mode interference has the same effect on both wires in terms of amplitude and phasing.
–
Nevertheless, the suppression of common-mode interference within a channel or between channels is subject to technical limits, which are specified in the technical data.
–
Further helpfully information on this topic can be found on the documentation page Configuration of 0/4..20 mA differential inputs (see documentation for the EL30xx terminals, for example).
▪
Single Ended (SE)
–
If the analog circuit is designed as SE, the input/reference wire is internally fixed to a certain potential that cannot be changed. This potential must be accessible from outside on at least one point for connecting the reference potential, e.g. via the power contacts (cable).
–
In other words, in situations with several channels SE offers users the option to avoid returning at least one of the two sensor cables to the terminal/ box (in contrast to DIFF). Instead, the reference wire can be consolidated at the sensors, e.g. in the system GND.
–
A disadvantage of this approach is that the separate feed and return line can result in voltage/current variations, which a SE channel may no longer be able to handle. See common-mode interference. A VCM effect cannot occur, since the module channels are internally always 'hard-wired' through the input/reference potential.
Typification of the 2/3/4-wire connection of current sensors
Current transducers/sensors/field devices (referred to in the following simply as ‘sensor’) with the industrial 0/4-20 mA interface typically have internal transformation electronics for the physical measured variable (temperature, current, etc.) at the current control output. These internal electronics must be supplied with energy (voltage, current). The type of cable for this supply thus separates the sensors into self-supplied or externally supplied sensors:
Self-supplied sensors
▪
The sensor draws the energy for its own operation via the sensor/signal cable + and -.
So that enough energy is always available for the sensor’s own operation and open-circuit detection is possible, a lower limit of 4 mA has been specified for the 4-20 mA interface; i.e. the sensor allows a minimum current of 4 mA and a maximum current of 20 mA to pass.
▪
2-wire connection see Fig. 2-wire connection, cf. IEC60381-1
▪
Such current transducers generally represent a current sink and thus like to sit between + and – as a ‘variable load’. Refer also to the sensor manufacturer’s information.
2-wire connection
Therefore, they are to be connected according to the Beckhoff terminology as follows:
preferably to ‘single-ended’ inputs if the +Supply connections of the terminal/ box are also to be used - connect to +Supply and Signal
they can, however, also be connected to ‘differential’ inputs, if the termination to GND is then manufactured on the application side – to be connected with the right polarity to +Signal and –Signal
It is important to refer to the information page Configuration of 0/4..20 mA differential inputs (see documentation for the EL30xx terminals, for example)!
Externally supplied sensors
▪
3- and 4-wire connection see Fig. Connection of externally supplied sensors, cf. IEC60381-1
▪
the sensor draws the energy/operating voltage for its own operation from two supply cables of its own. One or two further sensor cables are used for the signal transmission of the current loop:
–
1 sensor cable: according to the Beckhoff terminology such sensors are to be connected to ‘single-ended’ inputs in 3 cables with +/-/Signal lines and if necessary FE/shield
–
2 sensor cables: for sensors with 4-wire connection based on +supply/-supply/+signal/-signal, check whether +signal can be connected to +supply or –signal to –supply.
- Yes: then you can connect accordingly to a Beckhoff ‘single-ended’ input.
- No: the Beckhoff ‘differential’ input for +Signal and –Signal is to be selected; +Supply and –Supply are to be connected via additional cables.
It is important to refer to the information page Configuration of 0/4..20 mA differential inputs (see documentation for the EL30xx terminals, for example)!
Note: expert organizations such as NAMUR demand a usable measuring range <4 mA/>20 mA for error detection and adjustment, see also NAMUR NE043.
The Beckhoff device documentation must be consulted in order to see whether the respective device supports such an extended signal range.
Usually there is an internal diode existing within unipolar terminals/ boxes (and related product groups), in this case the polarity/direction of current have to be observed.
Connection of externally supplied sensors
Classification of the Beckhoff terminals/ boxes - Beckhoff 0/4-20 mA terminals/ boxes (and related product groups) are available as differential and single-ended terminals/ boxes (and related product groups):
Single-ended EL3x4x: 0-20 mA, EL3x5x: 4-20 mA; KL and related product groups exactly the same | Differential EL3x1x: 0-20 mA, EL3x2x: 4-20 mA; KL and related product groups exactly the same
Preferred current direction because of internal diode | Preferred current direction because of internal diode
Designed for the connection of externally-supplied sensors with a 3/4-wire connection | The terminal/ box is a passive differential current measuring device; passive means that the sensor is not supplied with power.
Designed for the connection of self-supplied sensors with a 2-wire connection |
Single-ended
Differential
2-, 3- and 4-wire connection at single-ended and differential inputs


Common-mode voltage and reference ground (based on differential inputs)

Commissioning [image] Notices on analog specifications [image] Common-mode voltage and reference ground (based on differential inputs)
Common-mode voltage and reference ground (based on differential inputs)
Common-mode voltage (Vcm) is defined as the average value of the voltages of the individual connections/inputs and is measured/specified against reference ground.
Common-mode voltage (Vcm)
The definition of the reference ground is important for the definition of the permitted common-mode voltage range and for measurement of the common-mode rejection ratio (CMRR) for differential inputs.
The reference ground is also the potential against which the input resistance and the input impedance for single-ended inputs or the common-mode resistance and the common-mode impedance for differential inputs is measured.
The reference ground is usually accessible at or near the terminal/ box, e.g. at the terminal contacts, power contacts (cable) or a mounting rail. Please refer to the documentation regarding positioning. The reference ground should be specified for the device under consideration.
For multi-channel terminals/ boxes with resistive (=direct, ohmic, galvanic) or capacitive connection between the channels, the reference ground should preferably be the symmetry point of all channels, taking into account the connection resistances.
Reference ground samples for Beckhoff IO devices:
1.
Internal AGND fed out: EL3102/EL3112, resistive connection between the channels
2.
0V power contact: EL3104/EL3114, resistive connection between the channels and AGND; AGND connected to 0V power contact with low-resistance
3.
Earth or SGND (shield GND):
–
EL3174-0002: Channels have no resistive connection between each other, although they are capacitively coupled to SGND via leakage capacitors
–
EL3314: No internal ground fed out to the terminal points, although capacitive coupling to SGND


Dielectric strength

Commissioning [image] Notices on analog specifications [image] Dielectric strength
Dielectric strength
A distinction should be made between:
▪
Dielectric strength (destruction limit): Exceedance can result in irreversible changes to the electronics
–
Against a specified reference ground
–
Differential
▪
Recommended operating voltage range: If the range is exceeded, it can no longer be assumed that the system operates as specified
–
Against a specified reference ground
–
Differential
Recommended operating voltage range
The device documentation may contain particular specifications and timings, taking into account:
▪
Self-heating
▪
Rated voltage
▪
Insulating strength
▪
Edge steepness of the applied voltage or holding periods
▪
Normative environment (e.g. PELV)


Temporal aspects of analog/digital conversion

Commissioning [image] Notices on analog specifications [image] Temporal aspects of analog/digital conversion
Temporal aspects of analog/digital conversion
The conversion of the constant electrical input signal to a value-discrete digital and machine-readable form takes place in the analog Beckhoff EL/KL/EP input modules with ADC (analog digital converter). Although different ADC technologies are in use, from a user perspective they all have a common characteristic: after the conversion a certain digital value is available in the controller for further processing. This digital value, the so-called analog process data, has a fixed temporal relationship with the “original parameter”, i.e. the electrical input value. Therefore, corresponding temporal characteristic data can be determined and specified for Beckhoff analogue input devices.
This process involves several functional components, which act more or less strongly in every AI (analog input) module:
▪
the electrical input circuit
▪
the analog/digital conversion
▪
the digital further processing
▪
the final provision of the process and diagnostic data for collection at the fieldbus (EtherCAT, K‑bus, etc.)
Signal processing analog input
Two aspects are crucial from a user perspective:
▪
“How often do I receive new values?”, i.e. a sampling rate in terms of speed with regard to the device/channel
▪
What delay does the (whole) AD conversion of the device/channel cause?
I.e. the hardware and firmware components in its entirety. For technological reasons, the signal characteristics must be taken into account when determining this information: the run times through the system differ, depending on the signal frequency.
This is the “external” view of the “Beckhoff AI channel” system – internally the signal delay in particular is composed of different components: hardware, amplifier, conversion itself, data transport and processing. Internally a higher sampling rate may be used (e.g. in the deltaSigma converters) than is offered “externally” from the user perspective. From a user perspective of the “Beckhoff AI channel” component this is usually irrelevant or is specified accordingly, if it is relevant for the function.
For Beckhoff AI devices the following specification parameters for the AI channel are available for the user from a temporal perspective:
1. Minimum conversion time [ms, µs]
This is the reciprocal value of the maximum sampling rate [sps, samples per second]:
Indicates how often the analog channel makes a newly detected process data value available for collection by the fieldbus. Whether the fieldbus (EtherCAT, K-bus) fetches the value with the same speed (i.e. synchronous), or more quickly (if the AI channel operates in slow FreeRun mode) or more slowly (e.g. with oversampling), is then a question of the fieldbus setting and which modes the AI device supports.
For EtherCAT devices the so-called toggle bit indicates (by toggling) for the diagnostic PDOs when a newly determined analog value is available.
Accordingly, a maximum conversion time, i.e. a smallest sampling rate supported by the AI device, can be specified.
Corresponds to IEC 61131-2, section 7.10.2 2, “Sampling repeat time”
2. Typical signal delay
Corresponds to IEC 61131-2, section 7.10.2 1, “Sampling duration”. From this perspective it includes all internal hardware and firmware components, but not “external” delay components from the fieldbus or the controller (TwinCAT).
This delay is particularly relevant for absolute time considerations, if AI channels also provide a time stamp that corresponds to the amplitude value – which can be assumed to match the physically prevailing amplitude value at the time.
Due to the frequency-dependent signal delay time, a dedicated value can only be specified for a given signal. The value also depends on potentially variable filter settings of the channel.
A typical characterization in the device documentation may be:
2.1 Signal delay (step response)
Keywords: Settling time
The square wave signal can be generated externally with a frequency generator (note impedance!)
The 90 % limit is used as detection threshold.
The signal delay [ms, µs] is then the time interval between the (ideal) electrical square wave signal and the time at which the analog process value has reached the 90 % amplitude.
Diagram signal delay (step response)
2.2 Signal delay (linear)
Keyword: Group delay
Describes the delay of a signal with constant frequency
A test signal can be generated externally with a frequency generator, e.g. as sawtooth or sine. A simultaneous square wave signal would be used as reference.
The signal delay [ms, µs] is then the interval between the applied electrical signal with a particular amplitude and the moment at which the analog process value reaches the same value.
A meaningful range must be selected for the test frequency, e.g. 1/20 of the maximum sampling rate.
Diagram signal delay (linear)
3. Additional Information
May be provided in the specification, e.g.
▪
Actual sampling rate of the ADC (if different from the channel sampling rate)
▪
Time correction values for run times with different filter settings
▪
etc.


Overview of process data (PDO)

Commissioning [image] Overview of process data (PDO)
Overview of process data (PDO)
The EL40xx terminals have a static process image that cannot be changed. Depending on the terminal, "Analog output" channels 1…8 are offered for linking.


Overview of parameter objects (CoE)

Commissioning [image] Overview of parameter objects (CoE)
Overview of parameter objects (CoE)
EtherCAT XML Device Description
The display matches that of the CoE objects from the EtherCAT XML Device Description. We recommend downloading the latest XML file from the download area of the Beckhoff website and installing it according to installation instructions.
Parameterization
The terminal is parameterized via the CoE - Online tab (double-click on the respective object) or via the Process Data tab (allocation of PDOs).
Additional information
•
Restore objects
•
Configuration data
•
Output data
•
Standard objects


Restore objects

Commissioning [image] Overview of parameter objects (CoE) [image] Restore objects
Restore objects
Index 1011 Restore default parameters
Index (hex) | Name | Meaning | Data type | Flags | Default
1011:0 | Restore default parameters | Restore default parameters | UINT8 | RO | 0x01 (1dec)
1011:01 | SubIndex 001 | If this object is set to “0x64616F6C” in the set value dialog, all backup objects are reset to their delivery state. | UINT32 | RW | 0x00000000 (0dec)


Configuration data

Commissioning [image] Overview of parameter objects (CoE) [image] Configuration data
Configuration data
Index 8pp0 AO settings Ch.1-8
Index (hex) | Name | Meaning | Data type | Flags | Default
8pp0:0 | AO settings Ch.1-8 | Max. Subindex | UINT8 | RO | 0x16 (22dec)
8pp0:01 | Enable user scale | User scale is active. (see data stream flow chart) | BOOLEAN | RW | 0x00 (0dec)
8pp0:02 | Presentation | 0: Signed presentation The measured value is presented in two’s complement format. Maximum representation range for 16 bits = -32768dec ... +32767dec 1: Unsingned presentation Maximum presentation range for 16 bit : 0 .. +65535dec 2: Absolute value with MSB as sign The measured value is output in magnitude-sign format. Maximum representation range for 16 bits = -32768dec ... +32767dec 3: Absolute value Negative numbers are also output as positive numbers. | BIT3 | RW | 0x00 (0dec)
8pp0:05 | Watchdog | 0: Default watchdog value The default value (8pp0:13) is active. 1: Watchdog ramp The ramp (8pp0:14) for moving to the default value is active. 2: Last output value In the event of a watchdog drop the last process data is issued. | BIT2 | RW | 0x00 (0dec)
8pp0:07 | Enable user calibration | Enablement of the user calibration (see data stream flow chart) | BOOLEAN | RW | 0x00 (0dec)
8pp0:08 | Enable vendor calibration | Enablement of the vendor calibration (see data stream flow chart) | BOOLEAN | RW | 0x01 (1dec)
8pp0:11 | Offset | User scaling offset | INT16 | RW | 0x0000 (0dec)
8pp0:12 | Gain | User scaling gain. The gain is represented in fixed-point format, with the factor 2-16. The value 1 corresponds to 65535 (0x00010000). | INT32 | RW | 0x00010000 (65536dec)
8pp0:13 | Default output | default output value | INT16 | RW | 0x0000 (0dec)
8pp0:14 | Default output ramp | Ramp for ramping down to the default value Value in digits/ms. | UINT16 | RW | 0xFFFF (65535dec)
8pp0:15 | User calibration offset | User calibration offset | INT16 | RW | 0x0000 (0dec)
8pp0:16 | User calibration gain | User calibration gain | UINT16 | RW | 0xFFFF (65535dec)
Index 8ppE AO internal data Ch.1-8
Index (hex) | Name | Meaning | Data type | Flags | Default
8ppE:0 | AO internal data Ch.1-8 | Max. Subindex | UINT8 | RO | 0x01 (1dec)
8ppE:01 | DAC raw value | DAC raw value | UINT16 | RO | 0x0000 (0dec)
Index 8ppF AO vendor data Ch.1-8
Index (hex) | Name | Meaning | Data type | Flags | Default
8ppF:0 | AO vendor data Ch.1-8 | Max. Subindex | UINT8 | RO | 0x02 (2dec)
8ppF:01 | Calibration offset | Vendor calibration offset | INT16 | RW | 0x0000 (0dec)
8ppF:02 | Calibration gain | Vendor calibration gain | UINT16 | RW | 0x1EFA (7930dec)


Output data

Commissioning [image] Overview of parameter objects (CoE) [image] Output data
Output data
Index 7pp0 AO outputs Ch.1-8
Index (hex) | Name | Meaning | Data type | Flags | Default
7pp0:0 | AO outputs Ch.1-8 | Max. Subindex | UINT8 | RO | 0x01 (1dec)
7pp0:01 | Analog output | Analog output data | INT16 | RO | 0x0000 (0dec)


Standard objects

Commissioning [image] Overview of parameter objects (CoE) [image] Standard objects
Standard objects
Index 1000 Device type
Index (hex) | Name | Meaning | Data type | Flags | Default
1000:0 | Device type | Device type of the EtherCAT slave: the Lo-Word contains the CoE profile used (5001). The Hi-Word contains the module profile according to the modular device profile. | UINT32 | RO | 0x01901389 (26219401dec)
Index 1008 Device name
Index (hex) | Name | Meaning | Data type | Flags | Default
1008:0 | Device name | Device name of the EtherCAT slave | STRING | RO | EL40xx-0000
Index 1009 Hardware version
Index (hex) | Name | Meaning | Data type | Flags | Default
1009:0 | Hardware version | Hardware version of the EtherCAT slave | STRING | RO | 01
Index 100A Software version
Index (hex) | Name | Meaning | Data type | Flags | Default
100A:0 | Software version | Firmware version of the EtherCAT slave | STRING | RO | 01
Index 1018 Identity
Index (hex) | Name | Meaning | Data type | Flags | Default
1018:0 | Identity | Information for identifying the slave | UINT8 | RO | 0x04 (4dec)
1018:01 | Vendor ID | Vendor ID of the EtherCAT slave | UINT32 | RO | 0x00000002 (2dec)
1018:02 | Product code | Product code of the EtherCAT slave | UINT32 | RO | 0x0Fxx3052
1018:03 | Revision | Revision number of the EtherCAT slave; the low word (bit 0-15) indicates the special terminal number, the high word (bit 16-31) refers to the device description | UINT32 | RO | 0x00100000 (1048576dec)
1018:04 | Serial number | Serial number of the EtherCAT slave; the low byte (bit 0-7) of the low word contains the year of production, the high byte (bit 8-15) of the low word contains the week of production, the high word (bit 16-31) is 0 | UINT32 | RO | 0x00000000 (0dec)
Index 10F0 Backup parameter handling
Index (hex) | Name | Meaning | Data type | Flags | Default
10F0:0 | Backup parameter handling | Information for standardized loading and saving of backup entries | UINT8 | RO | 0x01 (1dec)
10F0:01 | Checksum | Checksum across all backup entries of the EtherCAT slave | UINT32 | RO | 0x00000000 (0dec)
Index 1600 RxPDO-Map Outputs Ch.1
Index (hex) | Name | Meaning | Data type | Flags | Default
1600:0 | RxPDO-Map Outputs Ch.1 | PDO Mapping RxPDO 1 | UINT8 | RW | 0x01 (1dec)
1600:01 | SubIndex 001 | 1. PDO Mapping entry (object 0x7000 (AO outputs Ch.1), entry 0x01 (Analog output)) | UINT32 | RW | 0x7000:01, 16
Index 1601 RxPDO-Map Outputs Ch.2
Index (hex) | Name | Meaning | Data type | Flags | Default
1601:0 | RxPDO-Map Outputs Ch.2 | PDO Mapping RxPDO 2 | UINT8 | RW | 0x01 (1dec)
1601:01 | SubIndex 001 | 1. PDO Mapping entry (object 0x7010 (AO outputs Ch.2), entry 0x01 (Analog output)) | UINT32 | RW | 0x7010:01, 16
Index 1602 RxPDO-Map Outputs Ch.3
Index (hex) | Name | Meaning | Data type | Flags | Default
1602:0 | RxPDO-Map Outputs Ch.3 | PDO Mapping RxPDO 3 | UINT8 | RW | 0x01 (1dec)
1602:01 | SubIndex 001 | 1. PDO Mapping entry (object 0x7020 (AO outputs Ch.3), entry 0x01 (Analog output)) | UINT32 | RW | 0x7020:01, 16
Index 1603 RxPDO-Map Outputs Ch.4
Index (hex) | Name | Meaning | Data type | Flags | Default
1603:0 | RxPDO-Map Outputs Ch.4 | PDO Mapping RxPDO 4 | UINT8 | RW | 0x01 (1dec)
1603:01 | SubIndex 001 | 1. PDO Mapping entry (object 0x7030 (AO outputs Ch.4), entry 0x01 (Analog output)) | UINT32 | RW | 0x7030:01, 16
Index 1604 RxPDO-Map Outputs Ch.5
Index (hex) | Name | Meaning | Data type | Flags | Default
1604:0 | RxPDO-Map Outputs Ch.5 | PDO Mapping RxPDO 5 | UINT8 | RW | 0x01 (1dec)
1604:01 | SubIndex 001 | 1. PDO Mapping entry (object 0x7040 (AO outputs Ch.5), entry 0x01 (Analog output)) | UINT32 | RW | 0x7040:01, 16
Index 1605 RxPDO-Map Outputs Ch.6
Index (hex) | Name | Meaning | Data type | Flags | Default
1605:0 | RxPDO-Map Outputs Ch.6 | PDO Mapping RxPDO 6 | UINT8 | RW | 0x01 (1dec)
1605:01 | SubIndex 001 | 1. PDO Mapping entry (object 0x7050 (AO outputs Ch.6), entry 0x01 (Analog output)) | UINT32 | RW | 0x7050:01, 16
Index 1606 RxPDO-Map Outputs Ch.7
Index (hex) | Name | Meaning | Data type | Flags | Default
1606:0 | RxPDO-Map Outputs Ch.7 | PDO Mapping RxPDO 7 | UINT8 | RW | 0x01 (1dec)
1606:01 | SubIndex 001 | 1. PDO Mapping entry (object 0x7060 (AO outputs Ch.7), entry 0x01 (Analog output)) | UINT32 | RW | 0x7060:01, 16
Index 1607 RxPDO-Map Outputs Ch.8
Index (hex) | Name | Meaning | Data type | Flags | Default
1607:0 | RxPDO-Map Outputs Ch.8 | PDO Mapping RxPDO 8 | UINT8 | RW | 0x01 (1dec)
1607:01 | SubIndex 001 | 1. PDO Mapping entry (object 0x7070 (AO outputs Ch.8), entry 0x01 (Analog output)) | UINT32 | RW | 0x7070:01, 16
Index 1C00 Sync manager type
Index (hex) | Name | Meaning | Data type | Flags | Default
1C00:0 | Sync manager type | Using the sync managers | UINT8 | RO | 0x04 (4dec)
1C00:01 | SubIndex 001 | Sync-Manager Type Channel 1: Mailbox Write | UINT8 | RO | 0x01 (1dec)
1C00:02 | SubIndex 002 | Sync-Manager Type Channel 2: Mailbox Read | UINT8 | RO | 0x02 (2dec)
1C00:03 | SubIndex 003 | Sync-Manager Type Channel 3: Process Data Write (Outputs) | UINT8 | RO | 0x03 (3dec)
1C00:04 | SubIndex 004 | Sync-Manager Type Channel 4: Process Data Read (Inputs) | UINT8 | RO | 0x04 (4dec)
Index 1C12 RxPDO assign
Index (hex) | Name | Meaning | Data type | Flags | Default
1C12:0 | RxPDO assign | PDO Assign Outputs | UINT8 | RW | 0x08 (8dec)
1C12:01 | SubIndex 001 | 1st allocated RxPDO (contains the index of the associated RxPDO mapping object) | UINT16 | RW | 0x1600 (5632dec)
1C12:02 | SubIndex 002 | 2nd allocated RxPDO (contains the index of the associated RxPDO mapping object) | UINT16 | RW | 0x1601 (5633dec)
1C12:03 | SubIndex 003 | 3rd allocated RxPDO (contains the index of the associated RxPDO mapping object) | UINT16 | RW | 0x1602 (5634dec)
1C12:04 | SubIndex 004 | 4th allocated RxPDO (contains the index of the associated RxPDO mapping object) | UINT16 | RW | 0x1603 (5635dec)
1C12:05 | SubIndex 005 | 5th allocated RxPDO (contains the index of the associated RxPDO mapping object) | UINT16 | RW | 0x1604 (5636dec)
1C12:06 | SubIndex 006 | 6th allocated RxPDO (contains the index of the associated RxPDO mapping object) | UINT16 | RW | 0x1605 (5637dec)
1C12:07 | SubIndex 007 | 7th allocated RxPDO (contains the index of the associated RxPDO mapping object) | UINT16 | RW | 0x1606 (5638dec)
1C12:08 | SubIndex 008 | 8th allocated RxPDO (contains the index of the associated RxPDO mapping object) | UINT16 | RW | 0x1607 (5639dec)
Index 1C32 SM output parameter
Index (hex)
Name
Meaning
Data type
Flags
Default
1C32:0
SM output parameter
Synchronization parameters for the outputs
UINT8
RO
0x07 (7dec)
1C32:01
Sync mode
Current synchronization mode:
▪
0: Free Run
▪
1: Synchron with SM 2 Event
▪
2: DC-Mode - Synchron with SYNC0 Event
▪
3: DC-Mode - Synchron with SYNC1 Event
UINT16
RW
0x0001 (1dec)
1C32:02
Cycle time
Cycle time (in ns):
▪
Free Run: Cycle time of the local timer
▪
Synchronous with SM 2 event: Master cycle time
▪
DC-Mode: SYNC0/SYNC1 Cycle Time
UINT32
RW
0x00000000 (0dec)
1C32:03
Shift time
Time between SYNC0 event and output of the outputs (in ns, DC mode only)
UINT32
RW
0x00000000 (0dec)
1C32:04
Sync modes supported
Supported synchronization modes:
▪
Bit 0 = 1: free run is supported
▪
Bit 1 = 1: Synchronous with SM 2 event is supported
▪
Bit 2-3 = 01: DC mode is supported
▪
Bit 4-5 = 10: Output shift with SYNC1 event (only DC mode)
▪
Bit 14 = 1: dynamic times (measurement through writing of 1C32:08)
UINT16
RO
0x8007 (32775dec)
1C32:05
Minimum cycle time
Minimum cycle time (in ns)
UINT32
RO
0x00000000 (0dec)
1C32:06
Calc and copy time
Minimum time between SYNC0 and SYNC1 event (in ns, DC mode only)
UINT32
RO
0x00000000 (0dec)
1C32:08
Command
▪
0: Measurement of the local cycle time is stopped
▪
1: Measurement of the local cycle time is started
The entries 1C32:03, 1C32:05, 1C32:06, 1C32:09 are updated with the maximum measured values.
For a subsequent measurement the measured values are reset
UINT16
RW
0x0000 (0dec)
1C32:09
Delay time
Time between SYNC1 event and output of the outputs (in ns, DC mode only)
UINT32
RO
0x00000000 (0dec)
1C32:0B
SM event missed counter
Number of missed SM events in OPERATIONAL (DC mode only)
UINT16
RO
0x0000 (0dec)
1C32:0C
Cycle exceeded counter
Number of occasions the cycle time was exceeded in OPERATIONAL (cycle was not completed in time or the next cycle began too early)
UINT16
RO
0x0000 (0dec)
1C32:0D
Shift too short counter
Number of occasions that the interval between SYNC0 and SYNC1 event was too short (DC mode only)
UINT16
RO
0x0000 (0dec)
1C32:20
Sync error
The synchronization was not correct in the last cycle (outputs were output too late; DC mode only)
BOOLEAN
RO
0x00 (0dec)
Index F000 Modular device profile
Index (hex) | Name | Meaning | Data type | Flags | Default
F000:0 | Modular device profile | General information for the modular device profile | UINT8 | RO | 0x02 (2dec)
F000:01 | Module index distance | Index spacing of the objects of the individual channels | UINT16 | RO | 0x0010 (16dec)
F000:02 | Maximum number of modules | Number of channels | UINT16 | RO | 0x0008 (8dec)
Index F008 Code word
Index (hex) | Name | Meaning | Data type | Flags | Default
F008:0 | Code word | Code word (currently reserved) | UINT32 | RW | 0x00000000 (0dec)


Appendix

Appendix
Appendix
Additional information
•
UL notice
•
EtherCAT AL Status Codes
•
Continuative documentation about explosion protection
•
Firmware compatibility
•
Firmware Update EL/ES/EM/ELM/EPxxxx
•
Restoring the delivery state
•
Support and Service


UL notice

Appendix [image] UL notice
UL notice
culus-logo
Application
Beckhoff EtherCAT modules are intended for use with Beckhoff’s UL Listed EtherCAT System only.
culus-logo
Examination
For cULus examination, the Beckhoff I/O System has only been investigated for risk of fire and electrical shock (in accordance with UL508 and CSA C22.2 No. 142).
culus-logo
For devices with Ethernet connectors
Not for connection to telecommunication circuits.
Basic principles
UL certification according to UL508. Devices with this kind of certification are marked by this sign:


EtherCAT AL Status Codes

Appendix [image] EtherCAT AL Status Codes
EtherCAT AL Status Codes
For detailed information please refer to the EtherCAT system description.


Continuative documentation about explosion protection

Appendix [image] Continuative documentation about explosion protection
Continuative documentation about explosion protection
Explosion protection for terminal systems
Pay also attention to the continuative documentation

Notes on the use of the Beckhoff terminal systems in hazardous areas according to ATEX and IECEx

that is available for download on the Beckhoff homepage https:\\www.beckhoff.com!


Firmware compatibility

Appendix [image] Firmware compatibility
Firmware compatibility
Beckhoff EtherCAT devices are delivered with the latest available firmware version. Compatibility of firmware and hardware is mandatory; not every combination ensures compatibility. The overview below shows the hardware versions on which a firmware can be operated.
Note
▪
It is recommended to use the newest possible firmware for the respective hardware
▪
Beckhoff is not under any obligation to provide customers with free firmware updates for delivered products.
Note
Risk of damage to the device!
Pay attention to the instructions for firmware updates on the separate page. If a device is placed in BOOTSTRAP mode for a firmware update, it does not check when downloading whether the new firmware is suitable. This can result in damage to the device! Therefore, always make sure that the firmware is suitable for the hardware version!
EL4001
Hardware (HW) | Firmware | Revision no. | Release date
00 - 14 | 01 | EL4001-0000-0016 | 2007/08
 |  | EL4001-0000-0017 | 2012/08
 |  | EL4001-0000-0018 | 2014/03
 |  | EL4001-0000-0019 | 2014/08
 | 02 |  | 2014/10
 |  | EL4001-0000-0020 | 2016/02
15 - 16* | 03 |  | 2017/05
 | 04* |  | 2018/03
EL4002
Hardware (HW) | Firmware | Revision no. | Release date
00 - 15 | 01 | EL4002-0000-0016 | 2007/08
 |  | EL4002-0000-0017 | 2012/08
 |  | EL4002-0000-0018 | 2014/03
 |  | EL4002-0000-0019 | 2014/08
 | 02 |  | 2014/10
 |  | EL4002-0000-0020 | 2016/01
16 - 17* | 03 |  | 2017/05
 | 04* |  | 2018/03
EL4004
Hardware (HW) | Firmware | Revision no. | Release date
00 - 15 | 01 | EL4004-0000-0016 | 2007/08
 |  | EL4004-0000-0017 | 2012/08
 |  | EL4004-0000-0018 | 2014/03
 |  | EL4004-0000-0019 | 2014/08
 | 02 |  | 2014/10
 |  | EL4004-0000-0020 | 2016/02
16 - 19* | 03 |  | 2017/05
 | 04* |  | 2018/03
EL4008
Hardware (HW) | Firmware | Revision no. | Release date
00 - 16 | 01 | EL4008-0000-0016 | 2007/08
 |  | EL4008-0000-0017 | 2012/08
 |  | EL4008-0000-0018 | 2014/03
 |  | EL4008-0000-0019 | 2014/08
 | 02 |  | 2014/10
 |  | EL4008-0000-0020 | 2016/02
 | 03 |  | 2016/05
17 - 18* | 04 |  | 2017/05
 | 05* |  | 2018/03
EL4011
Hardware (HW) | Firmware | Revision no. | Release date
00 - 10 | 01 | EL4011-0000-0016 | 2007/08
 |  | EL4011-0000-0017 | 2012/08
 |  | EL4011-0000-0018 | 2014/03
 |  | EL4011-0000-0019 | 2014/08
 |  | EL4011-0000-0020 | 2016/02
11 - 13* | 03 |  | 2017/05
 | 04* |  | 2018/03
EL4012
Hardware (HW) | Firmware | Revision no. | Release date
00 - 10 | 01 | EL4012-0000-0016 | 2007/10
 |  | EL4012-0000-0017 | 2012/07
 |  | EL4012-0000-0018 | 2014/03
 |  | EL4012-0000-0019 | 2014/08
 |  | EL4012-0000-0020 | 2016/02
11 - 13* | 03 |  | 2017/05
 | 04* |  | 2018/03
EL4014
Hardware (HW) | Firmware | Revision no. | Release date
00 - 10 | 01 | EL4014-0000-0016 | 2007/10
 |  | EL4014-0000-0017 | 2012/08
 |  | EL4014-0000-0018 | 2014/03
 |  | EL4014-0000-0019 | 2014/08
 |  | EL4014-0000-0020 | 2016/02
11 - 13* | 03 |  | 2017/05
 | 04* |  | 2018/03
EL4018
Hardware (HW) | Firmware | Revision no. | Release date
00 - 10 | 01 | EL4018-0000-0016 | 2007/08
 |  | EL4018-0000-0017 | 2012/08
 |  | EL4018-0000-0018 | 2014/03
 |  | EL4018-0000-0019 | 2014/08
 |  | EL4018-0000-0020 | 2016/02
11 - 13* | 03 |  | 2017/05
 | 04* |  | 2018/03
EL4021
Hardware (HW) | Firmware | Revision no. | Release date
00 - 10 | 01 | EL4021-0000-0016 | 2007/08
 |  | EL4021-0000-0017 | 2012/08
 |  | EL4021-0000-0018 | 2014/03
 |  | EL4021-0000-0019 | 2014/08
 |  | EL4021-0000-0020 | 2016/02
11 - 14* | 03 |  | 2017/05
 | 04* |  | 2018/03
 |  | EL4021-0000-0021 | 2019/07
EL4022
Hardware (HW) | Firmware | Revision no. | Release date
00 - 10 | 01 | EL4022-0000-0016 | 2007/08
 |  | EL4022-0000-0017 | 2012/07
 |  | EL4022-0000-0018 | 2014/03
 |  | EL4022-0000-0019 | 2014/08
 |  | EL4022-0000-0020 | 2016/02
11 - 13* | 03 |  | 2017/05
 | 04* |  | 2018/03
 |  | EL4022-0000-0021 | 2019/07
EL4024
Hardware (HW) | Firmware | Revision no. | Release date
00 - 10 | 01 | EL4024-0000-0016 | 2009/08
 |  | EL4024-0000-0017 | 2012/08
 |  | EL4024-0000-0018 | 2014/03
 |  | EL4024-0000-0019 | 2014/08
 |  | EL4024-0000-0020 | 2016/02
11 - 13* | 03 |  | 2017/05
 | 04* |  | 2018/03
 |  | EL4024-0000-0021 | 2019/07
EL4028
Hardware (HW) | Firmware | Revision no. | Release date
00 - 10 | 01 | EL4028-0000-0016 | 2009/08
 |  | EL4028-0000-0017 | 2012/08
 |  | EL4028-0000-0018 | 2014/03
 |  | EL4028-0000-0019 | 2014/08
 |  | EL4028-0000-0020 | 2016/02
11 - 13* | 03 |  | 2017/05
 | 04* |  | 2018/03
 |  | EL4028-0000-0021 | 2019/07
EL4031
Hardware (HW) | Firmware | Revision no. | Release date
00 - 13 | 01 | EL4031-0000-0016 | 2007/08
 |  | EL4031-0000-0017 | 2012/08
 |  | EL4031-0000-0018 | 2014/03
 |  | EL4031-0000-0019 | 2014/08
 |  | EL4031-0000-0020 | 2016/02
14 - 15* | 03 |  | 2017/05
 | 04* |  | 2018/03
EL4032
Hardware (HW) | Firmware | Revision no. | Release date
00 - 13 | 01 | EL4032-0000-0016 | 2007/08
 |  | EL4032-0000-0017 | 2012/08
 |  | EL4032-0000-0018 | 2014/03
 |  | EL4032-0000-0019 | 2014/08
 |  | EL4032-0000-0020 | 2016/02
14 - 15* | 03 |  | 2017/05
 | 04* |  | 2018/03
EL4034
Hardware (HW) | Firmware | Revision no. | Release date
00 - 11 | 01 | EL4034-0000-0016 | 2007/10
 |  | EL4034-0000-0017 | 2012/08
 |  | EL4034-0000-0018 | 2014/03
 |  | EL4034-0000-0019 | 2014/08
 |  | EL4034-0000-0020 | 2016/02
12 - 13* | 03 |  | 2017/05
 | 04* |  | 2018/03
EL4038
Hardware (HW) | Firmware | Revision no. | Release date
00 - 13 | 01 | EL4038-0000-0016 | 2007/08
 |  | EL4038-0000-0017 | 2012/08
 |  | EL4038-0000-0018 | 2014/03
 |  | EL4038-0000-0019 | 2014/08
 | 02 |  | `2016/05
 |  | EL4038-0000-0020 | 2016/02
14 - 16* | 03 |  | 2017/05
 | 04 |  | 2018/03
 | 05* |  | 2020/08
*) This is the current compatible firmware/hardware version at the time of the preparing this documentation. Check on the Beckhoff web page whether more up-to-date documentation is available.


Firmware Update EL/ES/EM/ELM/EPxxxx

Appendix [image] Firmware Update EL/ES/EM/ELM/EPxxxx
Firmware Update EL/ES/EM/ELM/EPxxxx
This section describes the device update for Beckhoff EtherCAT slaves from the EL/ES, ELM, EM, EK and EP series. A firmware update should only be carried out after consultation with Beckhoff support.
Storage locations
An EtherCAT slave stores operating data in up to three locations:
▪
Depending on functionality and performance EtherCAT slaves have one or several local controllers for processing I/O data. The corresponding program is the so-called firmware in *.efw format.
▪
In some EtherCAT slaves the EtherCAT communication may also be integrated in these controllers. In this case the controller is usually a so-called FPGA chip with *.rbf firmware.
▪
In addition, each EtherCAT slave has a memory chip, a so-called ESI-EEPROM, for storing its own device description (ESI: EtherCAT Slave Information). On power-up this description is loaded and the EtherCAT communication is set up accordingly. The device description is available from the download area of the Beckhoff website at (https://www.beckhoff.de). All ESI files are accessible there as zip files.
Customers can access the data via the EtherCAT fieldbus and its communication mechanisms. Acyclic mailbox communication or register access to the ESC is used for updating or reading of these data.
The TwinCAT System Manager offers mechanisms for programming all three parts with new data, if the slave is set up for this purpose. Generally the slave does not check whether the new data are suitable, i.e. it may no longer be able to operate if the data are unsuitable.
Simplified update by bundle firmware
The update using so-called bundle firmware is more convenient: in this case the controller firmware and the ESI description are combined in a *.efw file; during the update both the firmware and the ESI are changed in the terminal. For this to happen it is necessary
▪
for the firmware to be in a packed format: recognizable by the file name, which also contains the revision number, e.g. ELxxxx-xxxx_REV0016_SW01.efw
▪
for password=1 to be entered in the download dialog. If password=0 (default setting) only the firmware update is carried out, without an ESI update.
▪
for the device to support this function. The function usually cannot be retrofitted; it is a component of many new developments from year of manufacture 2016.
Following the update, its success should be verified
▪
ESI/Revision: e.g. by means of an online scan in TwinCAT ConfigMode/FreeRun – this is a convenient way to determine the revision
▪
Firmware: e.g. by looking in the online CoE of the device
Note
Risk of damage to the device!
✓
Note the following when downloading new device files
1.
Firmware downloads to an EtherCAT device must not be interrupted
2.
Flawless EtherCAT communication must be ensured. CRC errors or LostFrames must be avoided.
3.
The power supply must adequately dimensioned. The signal level must meet the specification.
⇨
In the event of malfunctions during the update process the EtherCAT device may become unusable and require re-commissioning by the manufacturer.
Additional information
•
Device description ESI file/XML
•
Firmware explanation
•
Updating controller firmware *.efw
•
FPGA firmware *.rbf
•
Simultaneous updating of several EtherCAT devices


Device description ESI file/XML

Appendix [image] Firmware Update EL/ES/EM/ELM/EPxxxx [image] Device description ESI file/XML
Device description ESI file/XML
Note
Attention regarding update of the ESI description/EEPROM
Some slaves have stored calibration and configuration data from the production in the EEPROM. These are irretrievably overwritten during an update.
The ESI device description is stored locally on the slave and loaded on start-up. Each device description has a unique identifier consisting of slave name (9 characters/digits) and a revision number (4 digits). Each slave configured in the System Manager shows its identifier in the EtherCAT tab:
Device identifier consisting of name EL3204-0000 and revision -0016
The configured identifier must be compatible with the actual device description used as hardware, i.e. the description which the slave has loaded on start-up (in this case EL3204). Normally the configured revision must be the same or lower than that actually present in the terminal network.
For further information on this, please refer to the EtherCAT system documentation.
Update of XML/ESI description
The device revision is closely linked to the firmware and hardware used. Incompatible combinations lead to malfunctions or even final shutdown of the device. Corresponding updates should only be carried out in consultation with Beckhoff support.
Display of ESI slave identifier
The simplest way to ascertain compliance of configured and actual device description is to scan the EtherCAT boxes in TwinCAT mode Config/FreeRun:
Scan the subordinate field by right-clicking on the EtherCAT device
If the found field matches the configured field, the display shows
Configuration is identical
otherwise a change dialog appears for entering the actual data in the configuration.
Change dialog
In this example in Fig. Change dialog, an EL3201-0000-0017 was found, while an EL3201-0000-0016 was configured. In this case the configuration can be adapted with the Copy Before button. The Extended Information checkbox must be set in order to display the revision.
Changing the ESI slave identifier
The ESI/EEPROM identifier can be updated as follows under TwinCAT:
▪
Trouble-free EtherCAT communication must be established with the slave.
▪
The state of the slave is irrelevant.
▪
Right-clicking on the slave in the online display opens the EEPROM Update dialog, Fig. EEPROM Update
EEPROM Update
The new ESI description is selected in the following dialog, see Fig. Selecting the new ESI. The checkbox Show Hidden Devices also displays older, normally hidden versions of a slave.
Selecting the new ESI
A progress bar in the System Manager shows the progress. Data are first written, then verified.
The change only takes effect after a restart.
Most EtherCAT devices read a modified ESI description immediately or after startup from the INIT. Some communication settings such as distributed clocks are only read during power-on. The EtherCAT slave therefore has to be switched off briefly in order for the change to take effect.


Firmware explanation

Appendix [image] Firmware Update EL/ES/EM/ELM/EPxxxx [image] Firmware explanation
Firmware explanation
Determining the firmware version
Determining the version on laser inscription
Beckhoff EtherCAT slaves feature serial numbers applied by laser. The serial number has the following structure: KK YY FF HH
KK - week of production (CW, calendar week)
YY - year of production
FF - firmware version
HH - hardware version
Example with ser. no.: 12 10 03 02:
12 - week of production 12
10 - year of production 2010
03 - firmware version 03
02 - hardware version 02
Determining the version via the System Manager
The TwinCAT System Manager shows the version of the controller firmware if the master can access the slave online. Click on the E-Bus Terminal whose controller firmware you want to check (in the example terminal 2 (EL3204)) and select the tab CoE Online (CAN over EtherCAT).
CoE Online and Offline CoE
Two CoE directories are available:
• online: This is offered in the EtherCAT slave by the controller, if the EtherCAT slave supports this. This CoE directory can only be displayed if a slave is connected and operational.
• offline: The EtherCAT Slave Information ESI/XML may contain the default content of the CoE. This CoE directory can only be displayed if it is included in the ESI (e.g. “Beckhoff EL5xxx.xml”).
The Advanced button must be used for switching between the two views.
In Fig. Display of EL3204 firmware version the firmware version of the selected EL3204 is shown as 03 in CoE entry 0x100A.
Display of EL3204 firmware version
In (A) TwinCAT 2.11 shows that the Online CoE directory is currently displayed. If this is not the case, the Online directory can be loaded via the Online option in Advanced Settings (B) and double-clicking on AllObjects.


Updating controller firmware *.efw

Appendix [image] Firmware Update EL/ES/EM/ELM/EPxxxx [image] Updating controller firmware *.efw
Updating controller firmware *.efw
CoE directory
The Online CoE directory is managed by the controller and stored in a dedicated EEPROM, which is generally not changed during a firmware update.
Switch to the Online tab to update the controller firmware of a slave, see Fig. Firmware Update.
Firmware Update
Proceed as follows, unless instructed otherwise by Beckhoff support. Valid for TwinCAT 2 and 3 as EtherCAT master.
▪
Switch TwinCAT system to ConfigMode/FreeRun with cycle time >= 1 ms (default in ConfigMode is 4 ms). A FW-Update during real time operation is not recommended.
▪
Switch EtherCAT Master to PreOP
▪
Switch slave to INIT (A)
▪
Switch slave to BOOTSTRAP
▪
Check the current status (B, C)
▪
Download the new *efw file (wait until it ends). A pass word will not be neccessary usually.
▪
After the download switch to INIT, then PreOP
▪
Switch off the slave briefly (don't pull under voltage!)
▪
Check within CoE 0x100A, if the FW status was correctly overtaken.


FPGA firmware *.rbf

Appendix [image] Firmware Update EL/ES/EM/ELM/EPxxxx [image] FPGA firmware *.rbf
FPGA firmware *.rbf
If an FPGA chip deals with the EtherCAT communication an update may be accomplished via an *.rbf file.
▪
Controller firmware for processing I/O signals
▪
FPGA firmware for EtherCAT communication (only for terminals with FPGA)
The firmware version number included in the terminal serial number contains both firmware components. If one of these firmware components is modified this version number is updated.
Determining the version via the System Manager
The TwinCAT System Manager indicates the FPGA firmware version. Click on the Ethernet card of your EtherCAT strand (Device 2 in the example) and select the Online tab.
The Reg:0002 column indicates the firmware version of the individual EtherCAT devices in hexadecimal and decimal representation.
FPGA firmware version definition
If the column Reg:0002 is not displayed, right-click the table header and select Properties in the context menu.
Context menu Properties
The Advanced Settings dialog appears where the columns to be displayed can be selected. Under Diagnosis/Online View select the '0002 ETxxxx Build' check box in order to activate the FPGA firmware version display.
Dialog Advanced Settings
Update
For updating the FPGA firmware
▪
of an EtherCAT coupler the coupler must have FPGA firmware version 11 or higher;
▪
of an E-Bus Terminal the terminal must have FPGA firmware version 10 or higher.
Older firmware versions can only be updated by the manufacturer!
Updating an EtherCAT device
The following sequence order have to be met if no other specifications are given (e.g. by the Beckhoff support):
▪
Switch TwinCAT system to ConfigMode/FreeRun with cycle time >= 1 ms (default in ConfigMode is 4 ms). A FW-Update during real time operation is not recommended.
▪
In the TwinCAT System Manager select the terminal for which the FPGA firmware is to be updated (in the example: Terminal 5: EL5001) and
click the Advanced Settings button in the EtherCAT tab:
▪
The Advanced Settings dialog appears. Under ESC Access/E²PROM/FPGA click on Write FPGA button:
▪
Select the file (*.rbf) with the new FPGA firmware, and transfer it to the EtherCAT device:
▪
Wait until download ends
▪
Switch slave current less for a short time (don't pull under voltage!). In order to activate the new FPGA firmware a restart (switching the power supply off and on again) of the EtherCAT device is required.
▪
Check the new FPGA status
Note
Risk of damage to the device!
A download of firmware to an EtherCAT device must not be interrupted in any case! If you interrupt this process by switching off power supply or disconnecting the Ethernet link, the EtherCAT device can only be recommissioned by the manufacturer!


Simultaneous updating of several EtherCAT devices

Appendix [image] Firmware Update EL/ES/EM/ELM/EPxxxx [image] Simultaneous updating of several EtherCAT devices
Simultaneous updating of several EtherCAT devices
The firmware and ESI descriptions of several devices can be updated simultaneously, provided the devices have the same firmware file/ESI.
Multiple selection and firmware update
Select the required slaves and carry out the firmware update in BOOTSTRAP mode as described above.


Restoring the delivery state

Appendix [image] Restoring the delivery state
Restoring the delivery state
To restore the delivery state for backup objects in ELxxxx terminals, the CoE object Restore default parameters, SubIndex 001 can be selected in the TwinCAT System Manager (Config mode) (see Fig. Selecting the Restore default parameters PDO)
Selecting the Restore default parameters PDO
Double-click on SubIndex 001 to enter the Set Value dialog. Enter the value 1684107116 in field Dec or the value 0x64616F6C in field Hex and confirm with OK (Fig. Entering a restore value in the Set Value dialog).
All backup objects are reset to the delivery state.
Entering a restore value in the Set Value dialog
Alternative restore value
In some older terminals the backup objects can be switched with an alternative restore value: Decimal value: 1819238756, Hexadecimal value: 0x6C6F6164An incorrect entry for the restore value has no effect.


Support and Service

Appendix [image] Support and Service
Support and Service
Beckhoff and their partners around the world offer comprehensive support and service, making available fast and competent assistance with all questions related to Beckhoff products and system solutions.
Beckhoff's branch offices and representatives
Please contact your Beckhoff branch office or representative for local support and service on Beckhoff products!
The addresses of Beckhoff's branch offices and representatives round the world can be found on her internet pages:
http://www.beckhoff.com
You will also find further documentation for Beckhoff components there.
Beckhoff Headquarters
Beckhoff Automation GmbH & Co. KG
Huelshorstweg 20
33415 Verl
Germany
Phone: | +49 5246 963 0
Fax: | +49 5246 963 198
e-mail: | info@beckhoff.com
Beckhoff Support
Support offers you comprehensive technical assistance, helping you not only with the application of individual Beckhoff products, but also with other, wide-ranging services:
▪
support
▪
design, programming and commissioning of complex automation systems
▪
and extensive training program for Beckhoff system components
Hotline: | +49 5246 963 157
Fax: | +49 5246 963 9157
e-mail: | support@beckhoff.com
Beckhoff Service
The Beckhoff Service Center supports you in all matters of after-sales service:
▪
on-site service
▪
repair service
▪
spare parts service
▪
hotline service
Hotline: | +49 5246 963 460
Fax: | +49 5246 963 479
e-mail: | service@beckhoff.com